--	Script.PlaySound("Audio/Game.xsb", "Counting_In")
--	local nSpriteHandle = Script.CreateSprite(GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2+50, "Textures/General.jampack", GameScript.GetImage("TRACKLEFT01"))
--	Script.MovePosition(nSpriteHandle, GameScript.GetScreenWidth()/2 + 75, GameScript.GetScreenHeight()/2+50 + 75, 2, true, true)
--	Script.Destroy(nSpriteHandle)
-------------------------------------------------------------------------------
-- Main game ceremonies
-------------------------------------------------------------------------------

local fPanelImageWidth = 16
local fPanelScale = 320 / fPanelImageWidth

local nPanelHandle
local nPanelTextHandle

function Ceremony_StartSmallPanel(pszText, y)
	nPanelHandle = Script.CreateSprite(GameScript.GetScreenWidth()/2, y, "Textures/General.jampack", GameScript.GetImage("DARKPANEL01"))
--	Script.SetScale(nPanelHandle, fPanelScale, 1)
	Script.SetScale(nPanelHandle, fPanelScale, 0)
	Script.MoveScale(nPanelHandle, fPanelScale, 1, 0.25)
	Script.WaitSeconds(0.125)
	
--	nPanelTextHandle = Script.CreateText(GameScript.GetScreenWidth()/2, y, GameScript.GetText(pszText), GameScript.GetFont("BigFont"))
	nPanelTextHandle = Script.CreateText(-GameScript.GetScreenWidth()/2, y, GameScript.GetText(pszText), GameScript.GetFont("BigFont"))
	Script.MovePosition(nPanelTextHandle, GameScript.GetScreenWidth()/2, y, 0.25)
	Script.PlaySound("Audio/Game.xsb", "Swoosh")
end

function Ceremony_EndSmallPanel(y)
	Script.MovePosition(nPanelTextHandle, GameScript.GetScreenWidth()/2*3, y, 0.25)
	Script.MoveScale(nPanelHandle, fPanelScale, 0, 0.25)
	Script.WaitSeconds(0.25)
	
	Script.Destroy(nPanelTextHandle)
	Script.Destroy(nPanelHandle)
end
	
function Ceremony_CreateSmallPanel(pszText, y)
	Ceremony_StartSmallPanel(pszText, y)
	Misc_DelayTouch(1.5)
--	Script.WaitSeconds(1.5)	
	Ceremony_EndSmallPanel(y)
end
	
local nBigPanelHandle
local nBigTextHandle1, nBigTextHandle2, nBigTextHandle3, nBigTextHandle4

function Ceremony_StartBigPanel(fOffset, pszText1, fOffset1, fScale1, pszText2, fOffset2, fScale2, pszText3, fOffset3, fScale3, pszText4, fOffset4, fScale4, fDelay)
	nBigPanelHandle = Script.CreateSprite(GameScript.GetScreenWidth()/2, fOffset, "Textures/General.jampack", GameScript.GetImage("DARKPANEL02"))
--	Script.SetScale(nBigPanelHandle, fPanelScale, 1)
	Script.SetScale(nBigPanelHandle, fPanelScale, 0)
	Script.MoveScale(nBigPanelHandle, fPanelScale, 1, 0.25)
	Script.WaitSeconds(0.125)
	
--	nBigTextHandle1 = Script.CreateText(GameScript.GetScreenWidth()/2, fOffset + fOffset1, GameScript.GetText(pszText1), GameScript.GetFont("BigFont"))
	nBigTextHandle1 = Script.CreateText(-GameScript.GetScreenWidth()/2, fOffset + fOffset1, GameScript.GetText(pszText1), GameScript.GetFont("BigFont"))
	Script.SetScale(nBigTextHandle1, fScale1, fScale1)
	if (pszText2 ~= nil) then
--		nBigTextHandle2 = Script.CreateText(GameScript.GetScreenWidth()/2, fOffset + fOffset2, GameScript.GetText(pszText2), GameScript.GetFont("BigFont"))
		nBigTextHandle2 = Script.CreateText(-GameScript.GetScreenWidth()/2, fOffset + fOffset2, GameScript.GetText(pszText2), GameScript.GetFont("BigFont"))
		Script.SetScale(nBigTextHandle2, fScale2, fScale2)
	end
	if (pszText3 ~= nil) then
--		nBigTextHandle3 = Script.CreateText(GameScript.GetScreenWidth()/2, fOffset + fOffset3, GameScript.GetText(pszText3), GameScript.GetFont("BigFont"))
		nBigTextHandle3 = Script.CreateText(-GameScript.GetScreenWidth()/2, fOffset + fOffset3, GameScript.GetText(pszText3), GameScript.GetFont("BigFont"))
		Script.SetScale(nBigTextHandle3, fScale3, fScale3)
	end
	if (pszText4 ~= nil) then
--		nBigTextHandle4 = Script.CreateText(GameScript.GetScreenWidth()/2, fOffset + fOffset4, GameScript.GetText(pszText4), GameScript.GetFont("BigFont"))
		nBigTextHandle4 = Script.CreateText(-GameScript.GetScreenWidth()/2, fOffset + fOffset4, GameScript.GetText(pszText4), GameScript.GetFont("BigFont"))
		Script.SetScale(nBigTextHandle4, fScale4, fScale4)
	end
	
	Script.MovePosition(nBigTextHandle1, GameScript.GetScreenWidth()/2, fOffset + fOffset1, 0.25)
	if (pszText2 ~= nil) then
		Script.MovePosition(nBigTextHandle2, GameScript.GetScreenWidth()/2, fOffset + fOffset2, 0.25)
	end
	if (pszText3 ~= nil) then
		Script.MovePosition(nBigTextHandle3, GameScript.GetScreenWidth()/2, fOffset + fOffset3, 0.25)
	end
	if (pszText4 ~= nil) then
		Script.MovePosition(nBigTextHandle4, GameScript.GetScreenWidth()/2, fOffset + fOffset4, 0.25)
	end
	Script.PlaySound("Audio/Game.xsb", "Swoosh")
end

function Ceremony_EndBigPanel(fOffset, pszText1, fOffset1, fScale1, pszText2, fOffset2, fScale2, pszText3, fOffset3, fScale3, pszText4, fOffset4, fScale4, fDelay)	
	Script.MovePosition(nBigTextHandle1, GameScript.GetScreenWidth()/2*3, fOffset + fOffset1, 0.25)
	if (pszText2 ~= nil) then
		Script.MovePosition(nBigTextHandle2, GameScript.GetScreenWidth()/2*3, fOffset + fOffset2, 0.25)
	end
	if (pszText3 ~= nil) then
		Script.MovePosition(nBigTextHandle3, GameScript.GetScreenWidth()/2*3, fOffset + fOffset3, 0.25)
	end
	if (pszText4 ~= nil) then
		Script.MovePosition(nBigTextHandle4, GameScript.GetScreenWidth()/2*3, fOffset + fOffset4, 0.25)
	end
	Script.MoveScale(nBigPanelHandle, fPanelScale, 0, 0.25)
	Script.WaitSeconds(0.25)
	
	Script.Destroy(nBigTextHandle1)
	if (pszText2 ~= nil) then
		Script.Destroy(nBigTextHandle2)
	end
	if (pszText3 ~= nil) then
		Script.Destroy(nBigTextHandle3)
	end
	if (pszText4 ~= nil) then
		Script.Destroy(nBigTextHandle4)
	end
	Script.Destroy(nBigPanelHandle)
end
	
function Ceremony_CreateBigPanel(fOffset, pszText1, fOffset1, fScale1, pszText2, fOffset2, fScale2, pszText3, fOffset3, fScale3, pszText4, fOffset4, fScale4, fDelay, bSparkle)
	Ceremony_StartBigPanel(fOffset, pszText1, fOffset1, fScale1, pszText2, fOffset2, fScale2, pszText3, fOffset3, fScale3, pszText4, fOffset4, fScale4, fDelay)
	
	local fTempDelay = 0
	local bKeyHeld = GameScript.GetTap();
	local bKeyPressed = false;
	while (fTempDelay < fDelay and bKeyPressed == false) do	
		if (bKeyHeld == true) then
			if (GameScript.GetTap() == false) then
				bKeyHeld = false;
			end
		else
			if (GameScript.GetTap() == true) then
				bKeyPressed = true;
			end
		end
		if (bSparkle) then
			GameScript.CreateRandomSparkle(GameScript.GetScreenWidth()/2, fOffset, 200, 130)
		end
		Script.WaitSeconds(0.05)
		fTempDelay = fTempDelay + 0.05
	end
	
	Ceremony_EndBigPanel(fOffset, pszText1, fOffset1, fScale1, pszText2, fOffset2, fScale2, pszText3, fOffset3, fScale3, pszText4, fOffset4, fScale4, fDelay)
end

	
local pszSwooshHeadImage
local pszSwooshImage
local bSwooshAchievement
local fSwooshScale
local pszSwooshText
local pszSwooshTextExtra
local pszSwooshTextExtra2
local fSwooshImageX
local fSwooshY
local fSwooshTextScale
local fSwooshTextExtraScale
local fSwooshTextExtra2Scale
local fSwooshTextOffsetX
local fSwooshTextOffsetY
local fSwooshTextExtraOffsetX
local fSwooshTextExtraOffsetY
local fSwooshTextExtra2OffsetX
local fSwooshTextExtra2OffsetY
local bSwooshSparkles
local bSwooshTextExtraFont
local bSwooshTextExtra2Font
local fSwooshDelay
local bDirectionLeft
	
local nSwooshBeam
local nSwooshBall
local nSwooshBeams
local nSwooshNumber
local nSwooshText
local nSwooshTextExtra
local nSwooshTextExtra2
	
function Ceremony_SwooshStart()
	local x
	if (bDirectionLeft) then
		x = GameScript.GetScreenWidth() * 3;
	else
		x = -GameScript.GetScreenWidth() * 2;
	end
	local y = fSwooshY;
	
	local fTempX 	
	if (bDirectionLeft) then
		fTempX = x - GameScript.GetScreenWidth() / 2
	else
		fTempX = x + GameScript.GetScreenWidth() / 2
	end
	nSwooshBeam = Script.CreateSprite(fTempX, y, "Textures/General.jampack", GameScript.GetImage("WHITEBEAM"))	
	Script.SetScale(nSwooshBeam, GameScript.GetScreenWidth() * 2, 4)
	
	if (bDirectionLeft) then
		fTempX = x - GameScript.GetScreenWidth() / 2 * 3
	else
		fTempX = x + GameScript.GetScreenWidth() / 2 * 3
	end
	nSwooshBall = Script.CreateSprite(fTempX, y, "Textures/General.jampack", GameScript.GetImage(pszSwooshHeadImage))
	Script.SetScale(nSwooshBall, 2, 2)
	
	nSwooshBeams = Script.CreateSprite(GameScript.GetScreenWidth() / 2, y, "Textures/General.jampack", GameScript.GetImage("LIGHTBEAMS"))
	Script.SetScale(nSwooshBeams, 0, 0)
	
	if (bDirectionLeft) then
		x = x - (GameScript.GetScreenWidth() * 2.5);
		Script.MovePosition(nSwooshBeam, x - GameScript.GetScreenWidth() / 2, y, 1.0)
		Script.MovePosition(nSwooshBall, x - GameScript.GetScreenWidth() / 2 * 3, y, 1.0)
	else
		Script.SetScale(nSwooshBall, -2, 2)
		x = x + (GameScript.GetScreenWidth() * 2.5);
		Script.MovePosition(nSwooshBeam, x + GameScript.GetScreenWidth() / 2, y, 1.0)
		Script.MovePosition(nSwooshBall, x + GameScript.GetScreenWidth() / 2 * 3, y, 1.0)
	end
	Script.WaitSeconds(0.3)
	Script.PlaySound("Audio/Game.xsb", "Swoosh")
	
	Script.MoveScale(nSwooshBeams, 2, 2, 0.25)
	
	if (pszSwooshImage ~= nil) then
		if (bSwooshAchievement) then
			nSwooshNumber = Script.CreateSprite(GameScript.GetScreenWidth() / 2 + fSwooshImageX, y, "Textures/Achievements.jampack", GameScript.GetImage(pszSwooshImage))
		else
			nSwooshNumber = Script.CreateSprite(GameScript.GetScreenWidth() / 2 + fSwooshImageX, y, "Textures/General.jampack", GameScript.GetImage(pszSwooshImage))
		end
		Script.SetScale(nSwooshNumber, 8, 8)
		Script.SetOpacity(nSwooshNumber, 0)
	
		Script.MoveScale(nSwooshNumber, fSwooshScale, fSwooshScale, 0.15, false, false)
		Script.MoveOpacity(nSwooshNumber, 1, 0.15)
	end
	
	if (pszSwooshText ~= nil) then
		nSwooshText = Script.CreateText(GameScript.GetScreenWidth()/2 + fSwooshTextOffsetX, y + fSwooshTextOffsetY, GameScript.GetText(pszSwooshText), GameScript.GetFont("CeremonyFont"))
		Script.SetScale(nSwooshText, 8, 8)
		Script.SetOpacity(nSwooshText, 0)
	
		Script.MoveScale(nSwooshText, fSwooshTextScale, fSwooshTextScale, 0.15, false, false)
		Script.MoveOpacity(nSwooshText, 1, 0.15)
	end
	
	Script.WaitSeconds(0.15)
	
	if (pszSwooshTextExtra ~= nil) then
		local pszFont;
		if (bSwooshTextExtraFont == false) then
			pszFont = "CeremonyFont"
		else
			pszFont = "BigFont"
		end
		nSwooshTextExtra = Script.CreateText(GameScript.GetScreenWidth()/2 + fSwooshTextExtraOffsetX, y + 100 + fSwooshTextExtraOffsetY, GameScript.GetText(pszSwooshTextExtra), GameScript.GetFont(pszFont))
		Script.SetScale(nSwooshTextExtra, fSwooshTextExtraScale, fSwooshTextExtraScale)
	end
	
	if (pszSwooshTextExtra2 ~= nil) then
		local pszFont;
		if (bSwooshTextExtra2Font == false) then
			pszFont = "CeremonyFont"
		else
			pszFont = "BigFont"
		end
		nSwooshTextExtra2 = Script.CreateText(GameScript.GetScreenWidth()/2 + fSwooshTextExtra2OffsetX, y + 100 + fSwooshTextExtra2OffsetY, GameScript.GetText(pszSwooshTextExtra2), GameScript.GetFont(pszFont))
		Script.SetScale(nSwooshTextExtra2, fSwooshTextExtra2Scale, fSwooshTextExtra2Scale)
	end
end

function Ceremony_SwooshWait()
	local y = fSwooshY;
	local fTempDelay = 0
	local bKeyHeld = GameScript.GetTap();
	local bKeyPressed = false;
	while (fTempDelay < fSwooshDelay and bKeyPressed == false) do	
		if (bKeyHeld == true) then
			if (GameScript.GetTap() == false) then
				bKeyHeld = false;
			end
		else
			if (GameScript.GetTap() == true) then
				bKeyPressed = true;
			end
		end
		if (bSwooshSparkles) then
			GameScript.CreateRandomSparkle(GameScript.GetScreenWidth()/2, y, 200, 200)
		end
		Script.WaitSeconds(0.05)
		fTempDelay = fTempDelay + 0.05
	end
end
	
function Ceremony_SwooshEnd()
	local x
	if (bDirectionLeft) then
		x = (GameScript.GetScreenWidth() * 3) - (GameScript.GetScreenWidth() * 2.5);
	else
		x = (-GameScript.GetScreenWidth() * 2) + (GameScript.GetScreenWidth() * 2.5);
	end
	
	local y = fSwooshY;
	if (bDirectionLeft) then
		if (pszSwooshImage ~= nil) then
			Script.MovePosition(nSwooshNumber, -GameScript.GetScreenWidth() / 2 + fSwooshImageX, y, 0.25)
		end	
		if (pszSwooshText ~= nil) then
			Script.MovePosition(nSwooshText, -GameScript.GetScreenWidth() / 2 + fSwooshTextOffsetX, y + fSwooshTextOffsetY, 0.25)
		end
		if (pszSwooshTextExtra ~= nil) then
			Script.MovePosition(nSwooshTextExtra, -GameScript.GetScreenWidth() / 2 + fSwooshTextExtraOffsetX, y + 100 + fSwooshTextExtraOffsetY, 0.25)
		end
		if (pszSwooshTextExtra2 ~= nil) then
			Script.MovePosition(nSwooshTextExtra2, -GameScript.GetScreenWidth() / 2 + fSwooshTextExtra2OffsetX, y + 100 + fSwooshTextExtra2OffsetY, 0.25)
		end
		x = x - GameScript.GetScreenWidth();
		Script.MovePosition(nSwooshBall, x - GameScript.GetScreenWidth() / 2 * 3, y, 0.25)
	else
		if (pszSwooshImage ~= nil) then
			Script.MovePosition(nSwooshNumber, GameScript.GetScreenWidth() / 2 * 3 + fSwooshImageX, y, 0.25)
		end	
		if (pszSwooshText ~= nil) then
			Script.MovePosition(nSwooshText, GameScript.GetScreenWidth() / 2 * 3 + fSwooshTextOffsetX, y + fSwooshTextOffsetY, 0.25)
		end
		if (pszSwooshTextExtra ~= nil) then
			Script.MovePosition(nSwooshTextExtra, GameScript.GetScreenWidth() / 2 * 3 + fSwooshTextExtraOffsetX, y + 100 + fSwooshTextExtraOffsetY, 0.25)
		end
		if (pszSwooshTextExtra2 ~= nil) then
			Script.MovePosition(nSwooshTextExtra2, GameScript.GetScreenWidth() / 2 * 3 + fSwooshTextExtra2OffsetX, y + 100 + fSwooshTextExtra2OffsetY, 0.25)
		end
		x = x + GameScript.GetScreenWidth();
		Script.MovePosition(nSwooshBall, x + GameScript.GetScreenWidth() / 2 * 3, y, 0.25)
	end
	Script.MoveScale(nSwooshBeams, 0, 0, 0.25)
	Script.MoveScale(nSwooshBeam, GameScript.GetScreenWidth() * 2, 0, 0.25)
	Script.WaitSeconds(0.25)
	
	if (pszSwooshImage ~= nil) then
		Script.Destroy(nSwooshNumber)
	end
	if (pszSwooshText ~= nil) then
		Script.Destroy(nSwooshText)
	end
	if (pszSwooshTextExtra ~= nil) then
		Script.Destroy(nSwooshTextExtra)
	end
	if (pszSwooshTextExtra2 ~= nil) then
		Script.Destroy(nSwooshTextExtra2)
	end
	Script.Destroy(nSwooshBeams)
	Script.Destroy(nSwooshBall)
	Script.Destroy(nSwooshBeam)
end

function Ceremony_Swoosh()
	Ceremony_SwooshStart()
	Ceremony_SwooshWait()
	Ceremony_SwooshEnd();
end


-------------------------------------------------------------------------------
-- Start Game
-------------------------------------------------------------------------------

function Ceremony_MatchStart()
	Script.PlaySound("Audio/Game.xsb", "CrowdCheer00")
	GameScript.CameraSet(GameScript.GetBowlerX(), GameScript.GetBowlerY(), 0.65)
	
	local nNewPanelHandle;
	local nNewPanelTextHandle;
	local nNewPanelTextHandle2;
	local nNewPanelTextHandle3;
	if (GameScript.GetIsTournament()) then
		nNewPanelHandle = Script.CreateSprite(GameScript.GetScreenWidth()/2, 100, "Textures/General.jampack", GameScript.GetImage("DARKPANEL01"))
		Script.SetScale(nNewPanelHandle, fPanelScale, 0)
		Script.MoveScale(nNewPanelHandle, fPanelScale, 1.7, 0.25)
		Script.WaitSeconds(0.125)
		
		nNewPanelTextHandle = Script.CreateText(-GameScript.GetScreenWidth()/2, 100 - 45, GameScript.GetText("Dynamic_Text"), GameScript.GetFont("BigFont"))
		Script.MovePosition(nNewPanelTextHandle, GameScript.GetScreenWidth()/2, 100 - 45, 0.25)
		nNewPanelTextHandle2 = Script.CreateText(-GameScript.GetScreenWidth()/2, 100 + 0, GameScript.GetText("Dynamic_Text"), GameScript.GetFont("BigFont"))
		Script.MovePosition(nNewPanelTextHandle2, GameScript.GetScreenWidth()/2, 100 + 0, 0.25)
		nNewPanelTextHandle3 = Script.CreateText(-GameScript.GetScreenWidth()/2, 100 + 45, GameScript.GetText("MENU_TOURNAMENT_GAME"), GameScript.GetFont("BigFont"))
		Script.MovePosition(nNewPanelTextHandle3, GameScript.GetScreenWidth()/2, 100 + 45, 0.25)
		Script.PlaySound("Audio/Game.xsb", "Swoosh")
		Script.WaitSeconds(0.25)
	end
	
	local fOffset = GameScript.GetScreenHeight()/2;

	local nNewBigPanelHandle = Script.CreateSprite(GameScript.GetScreenWidth()/2, fOffset, "Textures/General.jampack", GameScript.GetImage("DARKPANEL02"))
--	Script.SetScale(nNewBigPanelHandle, fPanelScale, 1)
	Script.SetScale(nNewBigPanelHandle, fPanelScale, 0)
	Script.MoveScale(nNewBigPanelHandle, fPanelScale, 1, 0.25)
	Script.WaitSeconds(0.125)
	
	local nNewBigTextHandle1 = Script.CreateText(-GameScript.GetScreenWidth()/2, fOffset, GameScript.GetText("CEREMONY_MATCH_START"), GameScript.GetFont("BigFont"))
	Script.SetScale(nNewBigTextHandle1, 1, 1)	
	
	local nTeamFlagShadowHandle1 = Script.CreateSprite(-GameScript.GetScreenWidth()/2 - 80 + 5, fOffset - 20 + 5, "Textures/General.jampack", GameScript.GetImage("FLAGDROPSHADOW"))
	Script.SetScale(nTeamFlagShadowHandle1, 1, 1)	
	local nTeamFlagHandle1 = Script.CreateSprite(-GameScript.GetScreenWidth()/2 - 80, fOffset - 20, "Textures/Flags.jampack", GameScript.GetImage(GameScript.GetFlag(true)))
	Script.SetScale(nTeamFlagHandle1, 1, 1)	
	local nTeamHandle1 = Script.CreateText(-GameScript.GetScreenWidth()/2 - 80, fOffset + 30, GameScript.GetText("Dynamic_Text"), GameScript.GetFont("BigFont"))
	Script.SetScale(nTeamHandle1, 0.5, 0.5)	
	
	local nTeamFlagShadowHandle2 = Script.CreateSprite(-GameScript.GetScreenWidth()/2 + 80 + 5, fOffset - 20 + 5, "Textures/General.jampack", GameScript.GetImage("FLAGDROPSHADOW"))
	Script.SetScale(nTeamFlagShadowHandle2, 1, 1)	
	local nTeamFlagHandle2 = Script.CreateSprite(-GameScript.GetScreenWidth()/2 + 80, fOffset - 20, "Textures/Flags.jampack", GameScript.GetImage(GameScript.GetFlag(false)))
	Script.SetScale(nTeamFlagHandle2, 1, 1)	
	local nTeamHandle2 = Script.CreateText(-GameScript.GetScreenWidth()/2 + 80, fOffset + 30, GameScript.GetText("Dynamic_Text"), GameScript.GetFont("BigFont"))
	Script.SetScale(nTeamHandle2, 0.5, 0.5)	
	
	Script.SetPosition(nNewBigTextHandle1, GameScript.GetScreenWidth()/2, fOffset)
	Script.SetPosition(nTeamFlagShadowHandle1, GameScript.GetScreenWidth()/2 - 80 + 5, fOffset - 20 + 5)
	Script.SetPosition(nTeamFlagHandle1, GameScript.GetScreenWidth()/2 - 80, fOffset - 20)
	Script.SetPosition(nTeamHandle1, GameScript.GetScreenWidth()/2 - 80, fOffset + 30)
	Script.SetPosition(nTeamFlagShadowHandle2, GameScript.GetScreenWidth()/2 + 80 + 5, fOffset - 20 + 5)
	Script.SetPosition(nTeamFlagHandle2, GameScript.GetScreenWidth()/2 + 80, fOffset - 20)
	Script.SetPosition(nTeamHandle2, GameScript.GetScreenWidth()/2 + 80, fOffset + 30)

	Script.MovePosition(nNewBigTextHandle1, GameScript.GetScreenWidth()/2, fOffset, 0.25)
	Script.MovePosition(nTeamFlagShadowHandle1, GameScript.GetScreenWidth()/2 - 80 + 5, fOffset - 20 + 5, 0.25)
	Script.MovePosition(nTeamFlagHandle1, GameScript.GetScreenWidth()/2 - 80, fOffset - 20, 0.25)
	Script.MovePosition(nTeamHandle1, GameScript.GetScreenWidth()/2 - 80, fOffset + 30, 0.25)
	Script.MovePosition(nTeamFlagShadowHandle2, GameScript.GetScreenWidth()/2 + 80 + 5, fOffset - 20 + 5, 0.25)
	Script.MovePosition(nTeamFlagHandle2, GameScript.GetScreenWidth()/2 + 80, fOffset - 20, 0.25)
	Script.MovePosition(nTeamHandle2, GameScript.GetScreenWidth()/2 + 80, fOffset + 30, 0.25)
	
	Script.PlaySound("Audio/Game.xsb", "Swoosh")
	
	Script.WaitSeconds(0.5)	
	GameScript.FieldersWalkOn()
	Script.WaitSeconds(2.0)	
	
	Script.MovePosition(nNewBigTextHandle1, GameScript.GetScreenWidth()/2*3, fOffset, 0.25)
	Script.MovePosition(nTeamFlagShadowHandle1, GameScript.GetScreenWidth()/2*3 - 80 + 5, fOffset - 20 + 5, 0.25)
	Script.MovePosition(nTeamFlagHandle1, GameScript.GetScreenWidth()/2*3 - 80, fOffset - 20, 0.25)
	Script.MovePosition(nTeamHandle1, GameScript.GetScreenWidth()/2*3 - 80, fOffset + 30, 0.25)
	Script.MovePosition(nTeamFlagShadowHandle2, GameScript.GetScreenWidth()/2*3 + 80 + 5, fOffset - 20 + 5, 0.25)
	Script.MovePosition(nTeamFlagHandle2, GameScript.GetScreenWidth()/2*3 + 80, fOffset - 20, 0.25)
	Script.MovePosition(nTeamHandle2, GameScript.GetScreenWidth()/2*3 + 80, fOffset + 30, 0.25)
	Script.MoveScale(nNewBigPanelHandle, fPanelScale, 0, 0.25)
	Script.WaitSeconds(0.25)
	
	Script.Destroy(nNewBigTextHandle1)
	Script.Destroy(nTeamFlagShadowHandle1)
	Script.Destroy(nTeamFlagHandle1)
	Script.Destroy(nTeamHandle1)
	Script.Destroy(nTeamFlagShadowHandle2)
	Script.Destroy(nTeamFlagHandle2)
	Script.Destroy(nTeamHandle2)
	Script.Destroy(nNewBigPanelHandle)
	
	if (GameScript.GetIsTournament()) then
		Script.MovePosition(nNewPanelTextHandle, GameScript.GetScreenWidth()/2*3, 100 - 45, 0.25)
		Script.MovePosition(nNewPanelTextHandle2, GameScript.GetScreenWidth()/2*3, 100 + 0, 0.25)
		Script.MovePosition(nNewPanelTextHandle3, GameScript.GetScreenWidth()/2*3, 100 + 45, 0.25)
		Script.MoveScale(nNewPanelHandle, fPanelScale, 0, 0.25)
		Script.WaitSeconds(0.25)
	
		Script.Destroy(nNewPanelTextHandle)
		Script.Destroy(nNewPanelTextHandle2)
		Script.Destroy(nNewPanelTextHandle3)
		Script.Destroy(nNewPanelHandle)
	end
	
	GameScript.CameraRelease()
end

function Ceremony_TrialStart()
	Ceremony_CreateSmallPanel("CEREMONY_TRIAL_START", 240)
end

function Ceremony_FirstBatsman()
	Script.PlaySound("Audio/Game.xsb", "CrowdCheer01")
	Ceremony_StartBigPanel(GameScript.GetScreenHeight()/2+100, "CEREMONY_NEXT_BATTER", -30, 1, "CEREMONY_NEXT_BATTER_2", 30, 0.75, nil, 0, 0, nil, 0, 0, 2)
	Script.SetScale(nBigPanelHandle, fPanelScale, 0.75)
	GameScript.CameraGoTo(GameScript.GetBatsmanX(), GameScript.GetBatsmanY(), 0.25)
	GameScript.CameraZoomTo(0.85, 0.25)
	GameScript.BatterWalkOn(true)
	Script.WaitSeconds(1.5)
	Ceremony_EndBigPanel(GameScript.GetScreenHeight()/2+100, "CEREMONY_NEXT_BATTER", -30, 1, "CEREMONY_NEXT_BATTER_2", 30, 0.75, nil, 0, 0, nil, 0, 0, 2)
	GameScript.CameraRelease()
end

function Ceremony_InningsStart()
	Script.PlaySound("Audio/Game.xsb", "CrowdCheer01")
	GameScript.StopFanfares();
	Script.PlaySound("Audio/Game.xsb", "Fanfare01")
	GameScript.FieldersWalkOn()
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2+100, "CEREMONY_INNINGS_START_FIRST", -40, 0.75, "Dynamic_Text", 0, 0.75, "CEREMONY_INNINGS_START_TEAM", 40, 0.75, nil, 0, 0, 2, false)
end

function Ceremony_InningsStartSeventh()
	Script.PlaySound("Audio/Game.xsb", "CrowdCheer03")
	GameScript.StopFanfares();
	Script.PlaySound("Audio/Game.xsb", "Fanfare06")
	Ceremony_CreateSmallPanel("CEREMONY_INNINGS_SEVENTH", 240)

	Script.PlaySound("Audio/Game.xsb", "CrowdCheer01")
	GameScript.StopFanfares();
	Script.PlaySound("Audio/Game.xsb", "Fanfare01")
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentAllChange")
	Script.PlaySound("Audio/Game.xsb", "Whistle")
	GameScript.FieldersWalkOn()
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2+100, "CEREMONY_INNINGS_TITLE", -55, 0.75, "CEREMONY_INNINGS_START_FIRST", -20, 0.75, "Dynamic_Text", 20, 0.75, "CEREMONY_INNINGS_START_TEAM", 55, 0.75, 2, false)	
end

function Ceremony_InningsStartFirst()
	Script.PlaySound("Audio/Game.xsb", "CrowdCheer01")
	GameScript.StopFanfares();
	Script.PlaySound("Audio/Game.xsb", "Fanfare01")
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentAllChange")
	Script.PlaySound("Audio/Game.xsb", "Whistle")
	GameScript.FieldersWalkOn()
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2+100, "CEREMONY_INNINGS_TITLE", -55, 0.75, "CEREMONY_INNINGS_START_FIRST", -20, 0.75, "Dynamic_Text", 20, 0.75, "CEREMONY_INNINGS_START_TEAM", 55, 0.75, 2, false)
end

function Ceremony_InningsStartSecond()
	Script.PlaySound("Audio/Game.xsb", "CrowdCheer01")
	GameScript.StopFanfares();
	Script.PlaySound("Audio/Game.xsb", "Fanfare01")
	GameScript.FieldersWalkOn()
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2+100, "CEREMONY_INNINGS_TITLE", -55, 0.75, "CEREMONY_INNINGS_START_SECOND", -20, 0.75, "Dynamic_Text", 20, 0.75, "CEREMONY_INNINGS_START_TEAM", 55, 0.75, 2, false)
end

function Ceremony_RunsRequired()
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "Dynamic_Text", -30, 1, "CEREMONY_RUNS_REQUIRED", 30, 0.75, nil, 50, 0.75, nil, 0, 0, 2, false)
end

function Ceremony_Go()
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentPlayBall")
	Ceremony_CreateSmallPanel("CEREMONY_GO", 240)
end

function Ceremony_FirstEncounterBatting()
	Ceremony_StartBigPanel(276, "Dynamic_Text", 0, 0.75, nil, 0, 0, nil, 0, 0, nil, 0, 0, 2)
	
	while (GameScript.GetTap() == true) do
		Script.WaitSeconds(0.02);
	end
	while (GameScript.GetTap() == false) do
		Script.WaitSeconds(0.02);
	end
	Script.PlaySound("Audio/Game.xsb", "OptionSelectedAdvance")
	while (GameScript.GetTap() == true) do
		Script.WaitSeconds(0.02);
	end
	
	Ceremony_EndBigPanel(276, "Dynamic_Text", 0, 0.75, nil, 0, 0, nil, 0, 0, nil, 0, 0, 2)
end

function Ceremony_FirstEncounterBowling()
	Ceremony_StartBigPanel(276, "Dynamic_Text", 0, 0.75, nil, 0, 0, nil, 0, 0, nil, 0, 0, 2)
	
	while (GameScript.GetTap() == true) do
		Script.WaitSeconds(0.02);
	end
	while (GameScript.GetTap() == false) do
		Script.WaitSeconds(0.02);
	end
	Script.PlaySound("Audio/Game.xsb", "OptionSelectedAdvance")
	while (GameScript.GetTap() == true) do
		Script.WaitSeconds(0.02);
	end
	
	Ceremony_EndBigPanel(276, "Dynamic_Text", 0, 0.75, nil, 0, 0, nil, 0, 0, nil, 0, 0, 2)
end

function Ceremony_TieStart()
	GameScript.StopFanfares();
	Script.PlaySound("Audio/Game.xsb", "Fanfare06")
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_TIE_START", -25, 1, "CEREMONY_TIE_START_EXTRA", 20, 0.75, nil, 50, 0.75, nil, 0, 0, 2, false)
end

function Ceremony_SuddenDeathStart()
	Ceremony_CreateSmallPanel("CEREMONY_SUDDEN_DEATH_START", 240)
end

function Ceremony_TrainingType()
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_TRAINING_TYPE", 0, 1, nil, 10, 0.75, nil, 50, 0.75, nil, 0, 0, 2, false)
end

function Ceremony_TrainingStart()
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_TRAINING_START_1", -30, 0.75, "CEREMONY_TRAINING_START_2", 40, 1, nil, 50, 1, nil, 0, 0, 2, false)
--	Ceremony_CreateSmallPanel("CEREMONY_TRAINING_START", 240)
end

function Ceremony_FlickNow()
	Script.PlaySound("Audio/Game.xsb", "Whistle")
	local nTextHandle = Script.CreateText(GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2, GameScript.GetText("CEREMONY_FLICK_NOW"), GameScript.GetFont("BigFont"))
	Script.WaitSeconds(0.5)
	Script.Destroy(nTextHandle)
end

function Ceremony_TapNow()
	Script.PlaySound("Audio/Game.xsb", "Whistle")
	local nTextHandle = Script.CreateText(GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2, GameScript.GetText("CEREMONY_TAP_NOW"), GameScript.GetFont("BigFont"))
	Script.WaitSeconds(0.5)
	Script.Destroy(nTextHandle)
end


function Ceremony_ShotType()
	local nTextHandle = Script.CreateText(GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2 + 50, GameScript.GetText("CEREMONY_SHOT_TYPE"), GameScript.GetFont("BigFont"))
	Script.WaitSeconds(1)
	Script.Destroy(nTextHandle)
end

function Ceremony_Duck()
	pszSwooshHeadImage = "DUCK"
	pszSwooshImage = nil
	bSwooshAchievement = false;
	pszSwooshText = "CEREMONY_DUCK"
	pszSwooshTextExtra = nil
	pszSwooshTextExtra2 = nil
	fSwooshImageX = 0;
	fSwooshY = GameScript.GetScreenHeight()/2 + 100
	fSwooshTextOffsetX = 0;
	fSwooshTextOffsetY = 0;
	fSwooshTextExtraOffsetX = 0;
	fSwooshTextExtraOffsetY = 0;
	fSwooshTextScale = 1.0;
	fSwooshTextExtraScale = 0.6;
	bSwooshSparkles = false
	bSwooshTextExtraFont = false;
	fSwooshDelay = 2.0
	bDirectionLeft = true
--	Script.PlaySound("Audio/Game.xsb", "Duck01")
	local dwScript = StartThread("Ceremony_Swoosh")
	
	while (RetIsThreadRunning(dwScript)) do
		Script.WaitSeconds(0.02)
	end
end

function Ceremony_GoldenDuck()
	pszSwooshHeadImage = "GOLDENDUCK"
	pszSwooshImage = nil
	bSwooshAchievement = false;
	pszSwooshText = "CEREMONY_GOLDEN_DUCK"
	pszSwooshTextExtra = nil
	pszSwooshTextExtra2 = nil
	fSwooshImageX = 0;
	fSwooshY = GameScript.GetScreenHeight()/2 + 100
	fSwooshTextOffsetX = 0;
	fSwooshTextOffsetY = 0;
	fSwooshTextExtraOffsetX = 0;
	fSwooshTextExtraOffsetY = 0;
	fSwooshTextScale = 1.0;
	fSwooshTextExtraScale = 0.6;
	bSwooshSparkles = true
	bSwooshTextExtraFont = false;
	fSwooshDelay = 2.0
	bDirectionLeft = true
--	Script.PlaySound("Audio/Game.xsb", "Duck02")
	local dwScript = StartThread("Ceremony_Swoosh")
	
	while (RetIsThreadRunning(dwScript)) do
		Script.WaitSeconds(0.02)
	end
end

function Ceremony_TargetHitChallenge()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "CrowdCheer02")
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_TARGET_HIT", -30, 1, "Dynamic_Text", 30, 1, nil, 50, 0.75, nil, 0, 0, 0.75, false)
end

function Ceremony_TargetMissChallenge()
--	Ceremony_StopFanfares();
--	Script.PlaySound("Audio/Game.xsb", "Fanfare06")
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_LIVES_LEFT", -30, 1, "Dynamic_Text", 30, 1, nil, 50, 0.75, nil, 0, 0, 0.75, false)
end

function Ceremony_RunQuick()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "Fanfare03")
	Ceremony_StartSmallPanel("CEREMONY_RUN", 120)
	Misc_DelayTouch(0.75)
	Ceremony_EndSmallPanel(120)
end

function Ceremony_Single()
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_BATTER_NAME", -30, 0.75, "CEREMONY_SINGLE", 30, 1, nil, 50, 0.75, nil, 0, 0, 1.0, false)
end

function Ceremony_Double()
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_BATTER_NAME", -30, 0.75, "CEREMONY_DOUBLE", 30, 1, nil, 50, 0.75, nil, 0, 0, 1.0, false)
end

function Ceremony_Triple()
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_BATTER_NAME", -30, 0.75, "CEREMONY_TRIPLE", 30, 1, nil, 50, 0.75, nil, 0, 0, 1.0, false)
end

function Ceremony_Strike()
--	Script.PlaySound("Audio/Game.xsb", "CommentStrike")
	Ceremony_StartSmallPanel("CEREMONY_STRIKE", 240)
	Misc_DelayTouch(1.0)
	Ceremony_EndSmallPanel(240)
end

function Ceremony_StrikeOut()
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentStrike")
	Ceremony_StartSmallPanel("CEREMONY_STRIKE", 360)
	Misc_DelayTouch(0.75)
	Ceremony_EndSmallPanel(360)
	
	GameScript.UmpireOut()
	GameScript.BatterWalkOff()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "Fanfare04")
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentOut")
	Ceremony_CreateBigPanel(360, "Dynamic_Text", -45, 0.75, "CEREMONY_STRIKE_OUT", 0, 1, "Dynamic_Text", 45, 0.75, nil, 0, 0, 2, false)
end

function Ceremony_FoulStrike()
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentFoulBall")
	Ceremony_StartSmallPanel("CEREMONY_FOUL", 120)
	Misc_DelayTouch(1.0)
	Ceremony_EndSmallPanel(120)
	
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentStrike")
	Ceremony_StartSmallPanel("CEREMONY_STRIKE", 120)
	Misc_DelayTouch(1.0)
	Ceremony_EndSmallPanel(120)
end

function Ceremony_Foul()
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentFoulBall")
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_FOUL", -0, 1, nil, 30, 1, nil, 50, 0.75, nil, 0, 0, 0.75, false)
end

function Ceremony_FoulOut()
--	GameScript.StopComments()
--	Script.PlaySound("Audio/Game.xsb", "CommentStrike")
	Ceremony_StartSmallPanel("CEREMONY_FOUL", 240)
	Misc_DelayTouch(1.0)
	Ceremony_EndSmallPanel(240)
	
	GameScript.UmpireOut()
	GameScript.BatterWalkOff()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "Fanfare04")
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentOut")
	Ceremony_CreateBigPanel(240, "Dynamic_Text", -45, 0.75, "CEREMONY_STRIKE_OUT", 0, 1, "Dynamic_Text", 45, 0.75, nil, 0, 0, 2, false)
end

function Ceremony_FoulTip()
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_FOUL_TIP", -30, 1, "CEREMONY_STRIKE", 30, 1, nil, 50, 0.75, nil, 0, 0, 0.75, false)
end

function Ceremony_FoulTipOut()
--	GameScript.StopComments()
--	Script.PlaySound("Audio/Game.xsb", "CommentStrike")
	Ceremony_StartSmallPanel("CEREMONY_FOUL_TIP", 240)
	Misc_DelayTouch(1.0)
	Ceremony_EndSmallPanel(240)
	
	GameScript.BatterWalkOff()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "Fanfare04")
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentOut")
	Ceremony_CreateBigPanel(240, "Dynamic_Text", -45, 0.75, "CEREMONY_STRIKE_OUT", 0, 1, "Dynamic_Text", 45, 0.75, nil, 0, 0, 2, false)
end

function Ceremony_Out()
	if (1) then
		Ceremony_CreateSmallPanel("CEREMONY_OUT", 240)
	else
		GameScript.StopFanfares()
		Script.PlaySound("Audio/Game.xsb", "Fanfare03")
		
		-- create the white beam
		local nBeam = Script.CreateSprite(GameScript.GetScreenWidth() / 2, GameScript.GetScreenHeight() / 2 - 150, "Textures/General.jampack", GameScript.GetImage("WHITEBEAM"))	
		Script.SetScale(nBeam, GameScript.GetScreenWidth(), 0)
		Script.MoveScale(nBeam, GameScript.GetScreenWidth(), 4, 0.25)
		
		-- create the 'OWZAT' text
		local nTextHandle = Script.CreateText(GameScript.GetScreenWidth()/2*3, GameScript.GetScreenHeight()/2 - 150, GameScript.GetText("CEREMONY_OWZAT"), GameScript.GetFont("CeremonyFont"))
		Script.MovePosition(nTextHandle, GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2 - 150, 0.25)
		
		-- zoom into the ball
		GameScript.CameraZoomTo(1.5, 0.25)
		if (GameScript.GetBatterCaught()) then
			GameScript.CameraTrackPlayer()
		else
			GameScript.CameraGoTo(GameScript.GetBallX(), GameScript.GetBallY() - 50, 0.25)
		end
		
		Misc_DelayTouch(1.0)
	--	Script.WaitSeconds(1.0)	
		
		-- move the 'OWZAT' text off
		Script.MovePosition(nTextHandle, -GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2 - 150, 0.25)
		Script.MoveScale(nBeam, GameScript.GetScreenWidth(), 0, 0.25)
		Script.WaitSeconds(0.25)	
		Script.Destroy(nTextHandle)
		
		-- move camera to the umpire
		GameScript.CameraSet(GameScript.GetUmpireX(), GameScript.GetUmpireY(), 0.9)
		Script.WaitSeconds(0.5)
			
		-- create the 'OUT' text
		nTextHandle = Script.CreateText(GameScript.GetScreenWidth()/2*3, GameScript.GetScreenHeight()/2 - 150, GameScript.GetText("CEREMONY_OUT"), GameScript.GetFont("CeremonyFont"))
		Script.MovePosition(nTextHandle, GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2 - 150, 0.25)
		Script.MoveScale(nBeam, GameScript.GetScreenWidth(), 4, 0.25)
		GameScript.CameraZoomTo(1.4, 0.25)
		GameScript.UmpireOut()
		Script.PlaySound("Audio/Game.xsb", "CrowdCheer03")

		Script.WaitSeconds(0.25)	
		
		-- create the caught
		local nBeam2 = Script.CreateSprite(GameScript.GetScreenWidth() / 2, GameScript.GetScreenHeight() / 2 + 100, "Textures/General.jampack", GameScript.GetImage("DARKPANEL02"))	
		Script.SetScale(nBeam2, fPanelScale, 0)
		Script.MoveScale(nBeam2, fPanelScale, 0.75, 0.25)
		
		-- create the 'x caught y' text
		local nCaughtTextHandle1
		local nCaughtTextHandle2
		local nCaughtTextHandle3
		if (GameScript.GetBatterCaught()) then
			nCaughtTextHandle1 = Script.CreateText(GameScript.GetScreenWidth()/2*3, GameScript.GetScreenHeight()/2 + 100 - 40, GameScript.GetText("CEREMONY_CAUGHT_1"), GameScript.GetFont("BigFont"))
			nCaughtTextHandle2 = Script.CreateText(GameScript.GetScreenWidth()/2*3, GameScript.GetScreenHeight()/2 + 100, GameScript.GetText("CEREMONY_CAUGHT_2"), GameScript.GetFont("BigFont"))
			nCaughtTextHandle3 = Script.CreateText(GameScript.GetScreenWidth()/2*3, GameScript.GetScreenHeight()/2 + 100 + 40, GameScript.GetText("CEREMONY_CAUGHT_3"), GameScript.GetFont("BigFont"))
		else
			nCaughtTextHandle1 = Script.CreateText(GameScript.GetScreenWidth()/2*3, GameScript.GetScreenHeight()/2 + 100 - 40, GameScript.GetText("CEREMONY_BOWLED_1"), GameScript.GetFont("BigFont"))
			nCaughtTextHandle2 = Script.CreateText(GameScript.GetScreenWidth()/2*3, GameScript.GetScreenHeight()/2 + 100, GameScript.GetText("CEREMONY_BOWLED_2"), GameScript.GetFont("BigFont"))
			nCaughtTextHandle3 = Script.CreateText(GameScript.GetScreenWidth()/2*3, GameScript.GetScreenHeight()/2 + 100 + 40, GameScript.GetText("CEREMONY_BOWLED_3"), GameScript.GetFont("BigFont"))
		end
		Script.SetScale(nCaughtTextHandle1, 0.5, 0.5)
		Script.SetScale(nCaughtTextHandle2, 0.75, 0.75)
		Script.SetScale(nCaughtTextHandle3, 0.5, 0.5)
		Script.MovePosition(nCaughtTextHandle1, GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2 + 100 - 40, 0.25)
		Script.MovePosition(nCaughtTextHandle2, GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2 + 100, 0.25)
		Script.MovePosition(nCaughtTextHandle3, GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2 + 100 + 40, 0.25)
		
		Misc_DelayTouch(1.5)
	--	Script.WaitSeconds(1.5)	
		
		-- move the 'x caught y' text off
		Script.MovePosition(nCaughtTextHandle1, -GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2 + 100 - 40, 0.25)
		Script.MovePosition(nCaughtTextHandle2, -GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2 + 100, 0.25)
		Script.MovePosition(nCaughtTextHandle3, -GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2 + 100 + 40, 0.25)
		Script.MoveScale(nBeam2, fPanelScale, 0, 0.25)
		Script.WaitSeconds(0.25)	
		Script.Destroy(nCaughtTextHandle1)
		Script.Destroy(nCaughtTextHandle2)
		Script.Destroy(nCaughtTextHandle3)
		Script.Destroy(nBeam2)
			
		-- was the batter out for a duck
		if (GameScript.GetBatterRuns() == 0) then
			-- was the batter out for a golden duck
			if (GameScript.GetBatterBalls() == 0) then
				Ceremony_GoldenDuck();
			else
				Ceremony_Duck();
			end
		end
		
		-- move the 'OUT' text off
		Script.MovePosition(nTextHandle, -GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2 - 150, 0.25)
		Script.MoveScale(nBeam, GameScript.GetScreenWidth(), 0, 0.25)
		Script.WaitSeconds(0.25)	
		Script.Destroy(nTextHandle)
		Script.Destroy(nBeam)
		
		GameScript.CameraRelease()
	end
end

function Ceremony_OutFly()
--	GameScript.StopFanfares()
--	Script.PlaySound("Audio/Game.xsb", "Fanfare04")
	GameScript.UmpireOut()
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentOut")
	Ceremony_CreateBigPanel(360, "Dynamic_Text", -45, 0.75, "CEREMONY_OUT_FLY", 0, 1, "Dynamic_Text", 45, 0.75, nil, 0, 0, 1.25, false)
end

function Ceremony_OutFlyFoul()
	Ceremony_StartSmallPanel("CEREMONY_FOUL", 240)
	
	GameScript.UmpireOut()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "Fanfare04")
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentOut")
	Ceremony_CreateBigPanel(360, "Dynamic_Text", -45, 0.75, "CEREMONY_OUT_FLY", 0, 1, "Dynamic_Text", 45, 0.75, nil, 0, 0, 1.25, false)
	Ceremony_EndSmallPanel(240)
end

function Ceremony_OutFlyChallenge()
--	Ceremony_StopFanfares();
--	Script.PlaySound("Audio/Game.xsb", "Fanfare06")
	Ceremony_CreateBigPanel(360, "CEREMONY_OUT_FLY", -30, 1, "Dynamic_Text", 30, 1, nil, 50, 0.75, nil, 0, 0, 1.25, false)
end

function Ceremony_OutTag()
	GameScript.UmpireOut()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "Fanfare04")
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentOut")
	
	Ceremony_CreateBigPanel(360, "Dynamic_Text", -45, 0.75, "CEREMONY_OUT_TAG", 0, 1, "Dynamic_Text", 45, 0.75, nil, 0, 0, 2, false)
end

function Ceremony_OutForced()
	GameScript.UmpireOut()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "Fanfare04")
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentOut")

	Ceremony_CreateBigPanel(360, "CEREMONY_OUT_FORCED", -30, 1, "Dynamic_Text", 30, 0.75, nil, 0, 0, nil, 0, 0, 1.25, false)
end

function Ceremony_OutTagDouble()
	GameScript.UmpireOut()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "Fanfare04")
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentOut")
	
	Ceremony_CreateBigPanel(360, "Dynamic_Text", -70, 0.75, "CEREMONY_OUT_TAG", -30, 1, "CEREMONY_OUT_DOUBLE", 30, 1, "Dynamic_Text", 70, 0.75, 1.25, false)
end

function Ceremony_OutTagTriple()
	GameScript.UmpireOut()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "Fanfare04")
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentOut")
	
	Ceremony_CreateBigPanel(360, "Dynamic_Text", -70, 0.75, "CEREMONY_OUT_TAG", -30, 1, "CEREMONY_OUT_TRIPLE", 30, 1, "Dynamic_Text", 70, 0.75, 1.25, false)
end

function Ceremony_OutForcedDouble()
	GameScript.UmpireOut()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "Fanfare04")
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentOut")
	
	Ceremony_CreateBigPanel(360, "CEREMONY_OUT_FORCED", -45, 1, "CEREMONY_OUT_DOUBLE", 0, 1, "Dynamic_Text", 45, 0.75, nil, 0, 0, 1.25, false)
end

function Ceremony_OutForcedTriple()
	GameScript.UmpireOut()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "Fanfare04")
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentOut")
	
	Ceremony_CreateBigPanel(360, "CEREMONY_OUT_FORCED", -45, 1, "CEREMONY_OUT_TRIPLE", 0, 1, "Dynamic_Text", 45, 0.75, nil, 0, 0, 1.25, false)
end

function Ceremony_Safe()
	GameScript.UmpireSafe()
	Ceremony_StartSmallPanel("CEREMONY_SAFE", 360)
	Misc_DelayTouch(0.75)
	Ceremony_EndSmallPanel(360)
end

function Ceremony_OutTie()
	Ceremony_CreateSmallPanel("CEREMONY_OUT_TIE", 240)
end

function Ceremony_OutTieSingular()
	Ceremony_CreateSmallPanel("CEREMONY_OUT_TIE_SINGULAR", 240)
end

function Ceremony_Ball()
--	Script.PlaySound("Audio/Game.xsb", "CommentBall")
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_BALL", -30, 1, "Dynamic_Text", 30, 1, nil, 50, 0.75, nil, 0, 0, 1, false)
end

function Ceremony_Walk()
	Script.PlaySound("Audio/Game.xsb", "CrowdCheer01")
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentWalk")
	Ceremony_StartSmallPanel("CEREMONY_WALK", 240)
	Misc_DelayTouch(1.0)
	Ceremony_EndSmallPanel(240)
end

function Ceremony_WideTie()
--	Script.PlaySound("Audio/Game.xsb", "CrowdOoh")
	Ceremony_CreateSmallPanel("CEREMONY_WIDE", 240)
end

function Ceremony_Wait()
	Script.WaitSeconds(1.0)
end

function Ceremony_NextBatter()
	if (true) then
		Script.PlaySound("Audio/Game.xsb", "CrowdCheer01")
		Ceremony_StartBigPanel(GameScript.GetScreenHeight()/2 + 100, "CEREMONY_NEXT_BATTER", -30, 1, "CEREMONY_NEXT_BATTER_2", 30, 0.75, nil, 0, 0, nil, 0, 0, 2)
		Script.SetScale(nBigPanelHandle, fPanelScale, 0.75)
		GameScript.CameraGoTo(GameScript.GetBatsmanX(), GameScript.GetBatsmanY(), 0.25)
		GameScript.BatterWalkOn(false)
		Script.WaitSeconds(1.25)
		Ceremony_EndBigPanel(GameScript.GetScreenHeight()/2 + 100, "CEREMONY_NEXT_BATTER", -30, 1, "CEREMONY_NEXT_BATTER_2", 30, 0.75, nil, 0, 0, nil, 0, 0, 2)
		GameScript.CameraRelease()
	else
		Script.PlaySound("Audio/Game.xsb", "CrowdCheer01")
		
		GameScript.CameraGoTo(GameScript.GetBatsmanX(), GameScript.GetBatsmanY(), 0.25)
		GameScript.CameraZoomTo(1.5, 0.25)
		Script.WaitSeconds(0.25)
		Ceremony_StartBigPanel(GameScript.GetScreenHeight()/2 + 100, "CEREMONY_NEXT_BATTER", -30, 1, "CEREMONY_NEXT_BATTER_2", 30, 0.75, nil, 0, 0, nil, 0, 0, 2)
		GameScript.BatterWalkOff()
		Script.WaitSeconds(1.5)
		GameScript.BatterWalkOn(false)
		Script.WaitSeconds(1.0)
		Ceremony_EndBigPanel(GameScript.GetScreenHeight()/2 + 100, "CEREMONY_NEXT_BATTER", -30, 1, "CEREMONY_NEXT_BATTER_2", 30, 0.75, nil, 0, 0, nil, 0, 0, 2)
		GameScript.CameraZoomTo(0.85, 0.25)
		Script.WaitSeconds(0.25)
		GameScript.CameraRelease()
	end
end

function Ceremony_NextBowler()
	if (true) then
		GameScript.StopFanfares()
		Script.PlaySound("Audio/Game.xsb", "Fanfare06")
		Ceremony_StartBigPanel(GameScript.GetScreenHeight()/2 + 100, "CEREMONY_NEXT_BOWLER", -30, 1, "CEREMONY_NEXT_BOWLER_2", 30, 0.75, nil, 0, 0, nil, 0, 0, 2)
		Script.SetScale(nBigPanelHandle, fPanelScale, 0.75)
		GameScript.CameraGoTo(GameScript.GetBowlerX(), GameScript.GetBowlerY(), 0.25)
		GameScript.BowlerWalkOn()
		Script.WaitSeconds(1.25)
		Ceremony_EndBigPanel(GameScript.GetScreenHeight()/2 + 100, "CEREMONY_NEXT_BOWLER", -30, 1, "CEREMONY_NEXT_BOWLER_2", 30, 0.75, nil, 0, 0, nil, 0, 0, 2)
		GameScript.CameraRelease()
	else
		GameScript.StopFanfares()
		Script.PlaySound("Audio/Game.xsb", "Fanfare06")

		GameScript.CameraGoTo(GameScript.GetBowlerX(), GameScript.GetBowlerY(), 0.25)
		GameScript.CameraZoomTo(1.5, 0.25)
		Script.WaitSeconds(0.25)
		Ceremony_StartBigPanel(GameScript.GetScreenHeight()/2 + 100, "CEREMONY_NEXT_BOWLER", -30, 1, "CEREMONY_NEXT_BOWLER_2", 30, 0.75, nil, 0, 0, nil, 0, 0, 2)
		GameScript.BowlerWalkOff()
		Script.WaitSeconds(1.5)
		GameScript.BowlerWalkOn()
		Script.WaitSeconds(1.0)
		GameScript.CameraZoomTo(0.65, 0.25)
		Ceremony_EndBigPanel(GameScript.GetScreenHeight()/2 + 100, "CEREMONY_NEXT_BOWLER", -30, 1, "CEREMONY_NEXT_BOWLER_2", 30, 0.75, nil, 0, 0, nil, 0, 0, 2)
		GameScript.CameraRelease()
	end
end

function Ceremony_BasesLoaded()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "Fanfare01")
	GameScript.CameraGoTo(GameScript.GetDiamondX(), GameScript.GetDiamondY(), 0.25)
	GameScript.CameraZoomTo(0.4, 0.25)
	Ceremony_CreateSmallPanel("CEREMONY_BASES_LOADED", 240)
	GameScript.CameraRelease()
end

-- this defines possible random text for homerun
local apszSixText = {[0]="CEREMONY_HOMERUN_EXTRA_1", [1]="CEREMONY_HOMERUN_EXTRA_2", [2]="CEREMONY_HOMERUN_EXTRA_3", [3]="CEREMONY_HOMERUN_EXTRA_4", [4]="CEREMONY_HOMERUN_EXTRA_5", [5]="CEREMONY_HOMERUN_EXTRA_6"}

function Ceremony_HomeRun()
	GameScript.UmpireHomeRun()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "Fanfare06")
	GameScript.StopComments()
	Script.PlaySound("Audio/Game.xsb", "CommentHomeRun")
	
	pszSwooshHeadImage = "BIGBALL"
	pszSwooshImage = "BLANK"
	bSwooshAchievement = false;
	fSwooshScale = 1.0
	if (GameScript.GetBasesLoaded() == true) then
		pszSwooshText = "CEREMONY_GRANDSLAM"
		fSwooshTextScale = 0.7;
	else
		pszSwooshText = "CEREMONY_HOMERUN"
		fSwooshTextScale = 1.0;
	end
	local dwText = GameScript.RetRandInt(5);
	pszSwooshTextExtra = apszSixText[dwText]
	pszSwooshTextExtra2 = nil
	fSwooshImageX = 0;
	fSwooshY = GameScript.GetScreenHeight()/2 + 75
	if (GameScript.GetIsTraining()) then
		fSwooshY = fSwooshY - 30;
	end
	fSwooshTextOffsetX = 0;
	fSwooshTextOffsetY = 0;
	fSwooshTextExtraOffsetX = 0;
	fSwooshTextExtraOffsetY = 0;
	fSwooshTextExtraScale = 0.55;
	bSwooshSparkles = true;
	bSwooshTextExtraFont = false;
	fSwooshDelay = 3.0;
	bDirectionLeft = true
	local dwScript = StartThread("Ceremony_Swoosh")
	
	-- pause looking at the ball for a bit
	Misc_DelayTouch(0.5)
		
	-- cut to the diamond
	GameScript.CameraSet(GameScript.GetDiamondX(), GameScript.GetDiamondY() + 200, 0.4)
	Misc_DelayTouch(2.0)
	
	while (RetIsThreadRunning(dwScript)) do
		Script.WaitSeconds(0.02)
	end
	
	GameScript.CameraRelease()
end

function Ceremony_HomeRunChallenge()
--	Ceremony_StopFanfares();
--	Script.PlaySound("Audio/Game.xsb", "Fanfare06")
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_HOMERUN", -30, 1, "Dynamic_Text", 30, 1, nil, 50, 0.75, nil, 0, 0, 0.75, false)
end

function Ceremony_BattingWarningWithText()
	Script.WaitSeconds(1.0)
	
	Script.PlaySound("Audio/Game.xsb", "BowlingMachineBeeps")
	local nTextHandle = Script.CreateText(GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2, GameScript.GetText("CEREMONY_BATTINGWARNING"), GameScript.GetFont("BigFont"))
	Script.WaitSeconds(0.5)
	Script.Destroy(nTextHandle)
end

function Ceremony_BattingWarning()
	Script.WaitSeconds(1.0)	
	Script.PlaySound("Audio/Game.xsb", "BowlingMachineBeeps")
	Script.WaitSeconds(0.5)
end

function Ceremony_FieldingWarningWithText()
	Script.WaitSeconds(GameScript.GetFieldingDelay())
	
	Script.PlaySound("Audio/Game.xsb", "BowlingMachineBeeps")
	local nTextHandle = Script.CreateText(GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2, GameScript.GetText("CEREMONY_FIELDINGWARNING"), GameScript.GetFont("BigFont"))
	Script.WaitSeconds(GameScript.GetFieldingDelay()/2)
	Script.Destroy(nTextHandle)
end

function Ceremony_FieldingWarning()
	Script.WaitSeconds(GameScript.GetFieldingDelay())	
	Script.PlaySound("Audio/Game.xsb", "BowlingMachineBeeps")
	Script.WaitSeconds(GameScript.GetFieldingDelay()/2)
end

function Ceremony_SuddenDeathEnd()
	Ceremony_CreateSmallPanel("CEREMONY_SUDDEN_DEATH_END", 240)
end

function Ceremony_TieEnd()
	Ceremony_CreateSmallPanel("CEREMONY_TIE_END", 240)
end

function Ceremony_InningsEndTop()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "CrowdCheer01");
	Script.PlaySound("Audio/Game.xsb", "Fanfare05")
	GameScript.CameraGoTo(GameScript.GetBowlerX(), GameScript.GetBowlerY(), 0.25)
	GameScript.CameraZoomTo(0, 0, 0.5)
	
	Ceremony_StartBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_INNINGS_END_TOP", -30, 1, "CEREMONY_INNINGS_END", 30, 1, nil, 0, 0, nil, 0, 0, 2)
	Script.WaitSeconds(0.25)	
	GameScript.InningsEnd()
	Misc_DelayTouch(2.0)
	Ceremony_EndBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_INNINGS_END_TOP", -30, 1, "CEREMONY_INNINGS_END", 30, 1, nil, 0, 0, nil, 0, 0, 2)
	
	GameScript.CameraRelease()
end

function Ceremony_InningsEndBottom()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "CrowdCheer01");
	Script.PlaySound("Audio/Game.xsb", "Fanfare05")
	GameScript.CameraGoTo(GameScript.GetBowlerX(), GameScript.GetBowlerY(), 0.25)
	GameScript.CameraZoomTo(0, 0, 0.5)
	
	Ceremony_StartBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_INNINGS_END_BOTTOM", -30, 1, "CEREMONY_INNINGS_END", 30, 1, nil, 0, 0, nil, 0, 0, 2)
	Script.WaitSeconds(0.25)	
	GameScript.InningsEnd()
	Misc_DelayTouch(2.0)
	Ceremony_EndBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_INNINGS_END_BOTTOM", -30, 1, "CEREMONY_INNINGS_END", 30, 1, nil, 0, 0, nil, 0, 0, 2)
	
	GameScript.CameraRelease()
end

function Ceremony_InningsEndLast()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "CrowdCheer01");
	Script.PlaySound("Audio/Game.xsb", "Fanfare05")
	Ceremony_CreateSmallPanel("CEREMONY_INNINGS_END", 240)
end
	
function Ceremony_HalfTime()
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_HALF_TIME_1", -30, 1, "CEREMONY_HALF_TIME_2", 30, 1, nil, 0, 0, nil, 0, 0, 2, false)
end

function Ceremony_HalfTimeAllOut()
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_HALF_TIME_1", -50, 1, "CEREMONY_HALF_TIME_ALL_OUT_1", 0, 1, "CEREMONY_HALF_TIME_ALL_OUT_2", 50, 1, nil, 0, 0, 2, false)
end

function Ceremony_Win()
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "Fanfare02")
	local bHumanWinner = GameScript.GetIsHumanWinner();
	
	pszSwooshHeadImage = "BLANK"
	pszSwooshImage = nil;
	bSwooshAchievement = true;
	fSwooshScale = 0.65
	fSwooshImageX = -110;
	fSwooshY = GameScript.GetScreenHeight()/2
	fSwooshTextOffsetX = 0;
	fSwooshTextOffsetY = -30;
	fSwooshTextExtraOffsetX = 0;
	fSwooshTextExtraOffsetY = -95;
	fSwooshTextExtra2OffsetX = 0;
	fSwooshTextExtra2OffsetY = -65;
	fSwooshTextScale = 0.6;
	fSwooshTextExtraScale = 0.55;
	fSwooshTextExtra2Scale = 0.55;
	bSwooshTextExtraFont = true;
	bSwooshTextExtra2Font = true;
	bSwooshSparkles = true;
	fSwooshDelay = 2.0;
	bDirectionLeft = true
	Ceremony_SwooshStart()
	
	local nEndFlagShadow = Script.CreateSprite(GameScript.GetScreenWidth()/2 + 5, GameScript.GetScreenHeight()/2 - 105 + 5, "Textures/General.jampack", GameScript.GetImage("FLAGDROPSHADOW"))
	Script.SetScale(nEndFlagShadow, 1, 1)	
	local nEndFlag = Script.CreateSprite(GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2 - 105, "Textures/Flags.jampack", GameScript.GetImage(GameScript.GetWinningFlag()))
	
	local fTempDelay = 0
	local bKeyHeld = GameScript.GetTap();
	local bKeyPressed = false;
	while (fTempDelay < 4.0 and bKeyPressed == false) do	
		if (bKeyHeld == true) then
			if (GameScript.GetTap() == false) then
				bKeyHeld = false;
			end
		else
			if (GameScript.GetTap() == true) then
				bKeyPressed = true;
			end
		end
		if (bHumanWinner) then
			GameScript.CreateRandomSparkle(GameScript.GetScreenWidth()/2, fSwooshY, 200, 200)
		end
		Script.WaitSeconds(0.05)
		fTempDelay = fTempDelay + 0.05
	end
		
	while (GameScript.GetTap() == true) do
		Script.WaitSeconds(0.02);
	end
	
	Ceremony_SwooshEnd()
	
	Script.Destroy(nEndFlag)
	Script.Destroy(nEndFlagShadow)
end

function Ceremony_MatchEnd()
	pszSwooshText = "Dynamic_Text";
	pszSwooshTextExtra = "CEREMONY_MATCH_END_WINNER_NAME";
	pszSwooshTextExtra2 = "CEREMONY_MATCH_END_WINNER";
	Ceremony_Win()	
end

function Ceremony_MatchEndSingular()
	pszSwooshText = "Dynamic_Text";
	pszSwooshTextExtra = "CEREMONY_MATCH_END_WINNER_NAME";
	pszSwooshTextExtra2 = "CEREMONY_MATCH_END_WINNER_SINGULAR";
	Ceremony_Win()	
end

function Ceremony_Review()
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "Dynamic_Text", -30, 1, "Dynamic_Text", 30, 1, nil, 0, 0, nil, 0, 0, 2, false)
end

function Ceremony_ReviewBest()
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "Dynamic_Text", -50, 1, "Dynamic_Text", 0, 1, "CEREMONY_REVIEW_BEST", 50, 1, nil, 0, 0, 2, false)
end

function Ceremony_MatchEndTournament()
	pszSwooshText = "Dynamic_Text";
	pszSwooshTextExtra = "CEREMONY_MATCH_END_WINNER_NAME_TOURNAMENT";
	pszSwooshTextExtra2 = "CEREMONY_MATCH_END_WINNER";
	Ceremony_Win()	
end

function Ceremony_MatchEndTournamentSingular()
	pszSwooshText = "Dynamic_Text";
	pszSwooshTextExtra = "CEREMONY_MATCH_END_WINNER_NAME_TOURNAMENT";
	pszSwooshTextExtra2 = "CEREMONY_MATCH_END_WINNER_SINGULAR";
	Ceremony_Win()	
end

function Ceremony_TrainingEnd()
	Script.PlaySound("Audio/Game.xsb", "CrowdCheer01");
	Script.PlaySound("Audio/Game.xsb", "CrowdCheer02");
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_TRAINING_END_1", -30, 0.75, "CEREMONY_TRAINING_END_2", 40, 0.75, nil, 50, 1, nil, 0, 0, 4, false)
end

function Ceremony_TrainingEndChallenge()
	Script.PlaySound("Audio/Game.xsb", "CrowdCheer01");
	Script.PlaySound("Audio/Game.xsb", "CrowdCheer02");
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_TRAINING_END_1", -30, 0.85, "CEREMONY_TRAINING_END_2", 38, 0.85, nil, 50, 1, nil, 0, 0, 4, false)
end

function Ceremony_MatchConcede()
	pszSwooshText = "Dynamic_Text";
	pszSwooshTextExtra = "CEREMONY_MATCH_CONCEDE_2";
	pszSwooshTextExtra2 = "CEREMONY_MATCH_CONCEDE_1";
	Ceremony_Win()	
end

function Ceremony_TrialWin()
	Script.PlaySound("Audio/Game.xsb", "CrowdCheer02");
	Ceremony_CreateBigPanel(GameScript.GetScreenHeight()/2, "CEREMONY_TRIAL_WIN", 0, 1, nil, 40, 0.75, nil, 50, 1, nil, 0, 0, 4, false)
end

local apszAchievementImages = 
{
	[0]="ACHIEVEMENTFIRSTPASS",
	[1]="ACHIEVEMENTHOMERUNHERO",
	[2]="ACHIEVEMENTCOOLRUNNINGS",
	[3]="ACHIEVEMENTFEVERPITCH",
	[4]="ACHIEVEMENTHOMERUNHARDCORE",
	[5]="ACHIEVEMENTSUPERFLY",
	[6]="ACHIEVEMENTIMMACULATEINNING",
	[7]="ACHIEVEMENTGOLDMINE",
	[8]="ACHIEVEMENTCAPTURETHEFLAGS",
	[9]="ACHIEVEMENTWHITEWASH",
	[10]="ACHIEVEMENTYOURCUPRUNNETHOVER",
	[11]="ACHIEVEMENTBROOMBROOM",
};

local apszAchievementTitles = 
{
	[0]="CEREMONY_ACHIEVMENT_FIRSTPASS",
	[1]="CEREMONY_ACHIEVMENT_HOMERUNHERO",
	[2]="CEREMONY_ACHIEVMENT_COOLRUNNINGS",
	[3]="CEREMONY_ACHIEVMENT_FEVERPITCH",
	[4]="CEREMONY_ACHIEVMENT_HOMERUNHARDCORE",
	[5]="CEREMONY_ACHIEVMENT_SUPERFLY",
	[6]="CEREMONY_ACHIEVMENT_IMMACULATEINNING",
	[7]="CEREMONY_ACHIEVMENT_GOLDMINE",
	[8]="CEREMONY_ACHIEVMENT_CAPTURETHEFLAGS",
	[9]="CEREMONY_ACHIEVMENT_WHITEWASH",
	[10]="CEREMONY_ACHIEVMENT_YOURCUPRUNNETHOVER",
	[11]="CEREMONY_ACHIEVMENT_BROOMBROOM",
};

local apszAchievementText = 
{
	[0]="CEREMONY_ACHIEVMENT_TEXT_FIRSTPASS",
	[1]="CEREMONY_ACHIEVMENT_TEXT_HOMERUNHERO",
	[2]="CEREMONY_ACHIEVMENT_TEXT_COOLRUNNINGS",
	[3]="CEREMONY_ACHIEVMENT_TEXT_FEVERPITCH",
	[4]="CEREMONY_ACHIEVMENT_TEXT_HOMERUNHARDCORE",
	[5]="CEREMONY_ACHIEVMENT_TEXT_SUPERFLY",
	[6]="CEREMONY_ACHIEVMENT_TEXT_IMMACULATEINNING",
	[7]="CEREMONY_ACHIEVMENT_TEXT_GOLDMINE",
	[8]="CEREMONY_ACHIEVMENT_TEXT_CAPTURETHEFLAGS",
	[9]="CEREMONY_ACHIEVMENT_TEXT_WHITEWASH",
	[10]="CEREMONY_ACHIEVMENT_TEXT_YOURCUPRUNNETHOVER",
	[11]="CEREMONY_ACHIEVMENT_TEXT_BROOMBROOM",
};

function Ceremony_AchievementEarned()
	local nBackgroundFade = Script.CreateSprite(GameScript.GetScreenWidth()/2, GameScript.GetScreenHeight()/2, "Textures/General.jampack", GameScript.GetImage("WHITE"))
	Script.SetScale(nBackgroundFade, GameScript.GetScreenWidth(), GameScript.GetScreenHeight());
	Script.SetColour(nBackgroundFade, 0, 0, 0);
	Script.SetOpacity(nBackgroundFade, 0);
	Script.MoveOpacity(nBackgroundFade, 0.5, 0.25);
	Script.WaitSeconds(0.25);
	
	local dwAchievement = GameScript.GetAchievement();
	pszSwooshHeadImage = "BLANK"
	pszSwooshImage = apszAchievementImages[dwAchievement];
	bSwooshAchievement = true;
	fSwooshScale = 0.65
	pszSwooshText = "CEREMONY_ACHIEVMENT_EARNED";
	pszSwooshTextExtra = apszAchievementTitles[dwAchievement];
	pszSwooshTextExtra2 = nil
	fSwooshImageX = -110;
	fSwooshY = GameScript.GetScreenHeight()/2 - 75
	fSwooshTextOffsetX = 35;
	fSwooshTextOffsetY = -10;
	fSwooshTextExtraOffsetX = 35;
	fSwooshTextExtraOffsetY = -75;
	fSwooshTextScale = 0.55;
	fSwooshTextExtraScale = 0.5;
	bSwooshTextExtraFont = true;
	bSwooshSparkles = true;
	fSwooshDelay = 2.0;
	bDirectionLeft = true
	GameScript.StopFanfares()
	Script.PlaySound("Audio/Game.xsb", "FanfarePositiveMedium")
	Ceremony_SwooshStart()
	
	local bAllOk = GameScript.GetIsOffline()
	
	local nOfflineText
	if (bAllOk ~= true) then
		nOfflineText = Script.CreateText(160, 270, GameScript.GetText("CEREMONY_ACHIEVMENT_TEXT_OFFLINE"), GameScript.GetFont("BigFont"))
		Script.SetScale(nOfflineText, 0.5,0.5)
	end

	local y = GameScript.GetScreenHeight()/2 + 110;
	local nText = Script.CreateText(160, y - 10, GameScript.GetText(apszAchievementText[dwAchievement]), GameScript.GetFont("BigFont"))
	Script.SetScale(nText, 0.5,0.5)
--	Ceremony_StartBigPanel(y, apszAchievementText[dwAchievement], -35, 0.5, nil, 0, 0, nil, 0, 0, nil, 0, 0, 2)

	y = y + 45
	local x = GameScript.GetScreenWidth()/2 - 70;
	local nButtonLeft = Script.CreateSprite(x, y, "Textures/General.jampack", GameScript.GetImage("LOZENGESMALL"))
	local nButtonLeftIconHandle = Script.CreateSprite(x - 30, y -3, "Textures/General.jampack", GameScript.GetImage("ICONBACKQUIT"))
	local nButtonLeftTextHandle = Script.CreateText(x + 20, y - 2, GameScript.GetText("MENU_OK"), GameScript.GetFont("MenuFont2"))
	
	x = GameScript.GetScreenWidth()/2 + 70;
	local nButtonRight = Script.CreateSprite(x, y, "Textures/General.jampack", GameScript.GetImage("LOZENGESMALL"))
	local nButtonRightIconHandle = Script.CreateSprite(x - 30, y -3, "Textures/General.jampack", GameScript.GetImage("ICONFACEBOOK"))
	local nButtonRightTextHandle = Script.CreateText(x + 20, y - 2, GameScript.GetText("MENU_POST"), GameScript.GetFont("MenuFont2"))
	
	local bAgain = true;
	while (bAgain) do
		while (GameScript.GetTap() == true) do
			-- this causes flashing bugs on the phone. Probably draw order
--			GameScript.CreateRandomSparkle(GameScript.GetScreenWidth()/2, fSwooshY, 200, 200)
			Script.WaitSeconds(0.05);
		end
		while (GameScript.GetTap() == false) do
			-- this causes flashing bugs on the phone. Probably draw order
--			GameScript.CreateRandomSparkle(GameScript.GetScreenWidth()/2, fSwooshY, 200, 200)
			Script.WaitSeconds(0.05);
		end
		
		Script.PlaySound("Audio/Game.xsb", "OptionSelectedAdvance")
		
		-- did the player tap the post icon
		bAgain = true;
		if (Script.TestCollision(nButtonLeft, GameScript.GetTapX(), GameScript.GetTapY())) then
			bAgain = false;
		end
		if (Script.TestCollision(nButtonRight, GameScript.GetTapX(), GameScript.GetTapY())) then
			GameScript.AchievementPostMessage();
			bAgain = true;
		end
	end
	
	while (GameScript.GetTap() == true) do
		Script.WaitSeconds(0.02);
	end
	
	Script.Destroy(nButtonLeft)
	Script.Destroy(nButtonLeftIconHandle)
	Script.Destroy(nButtonLeftTextHandle)
	
	Script.Destroy(nButtonRight)
	Script.Destroy(nButtonRightIconHandle)
	Script.Destroy(nButtonRightTextHandle)
	
	Script.Destroy(nText);
	if (bAllOk ~= true) then
		Script.Destroy(nOfflineText)
	end
--	Ceremony_EndBigPanel(GameScript.GetScreenHeight()/2 + 110, apszAchievementText[dwAchievement], -35, 0.5, nil, 0, 0, nil, 0, 0, nil, 0, 0, 2)	
	Ceremony_SwooshEnd()
	
	Script.MoveOpacity(nBackgroundFade, 0.0, 0.25);
	Script.WaitSeconds(0.25);
	Script.Destroy(nBackgroundFade);
end
