local m_psPanel;
local m_psText;
local m_dwTextTimer;

function Misc_CreateWait()
	m_psPanel = Script.CreateSprite(160, 428, "Textures/General.jampack", GameScript.GetImage("BAR"));
	m_psText = Script.CreateText(160, 428, GameScript.GetText("INSTRUCTION_TAP"), GameScript.GetFont("MenuFont"));
	m_dwTextTimer = 0;
end

function Misc_CreateWaitHigh()
	m_psPanel = Script.CreateSprite(160, 54, "Textures/General.jampack", GameScript.GetImage("BAR"));
	m_psText = Script.CreateText(160, 54, GameScript.GetText("INSTRUCTION_TAP"), GameScript.GetFont("MenuFont"));
	m_dwTextTimer = 0;
end

function Misc_DestroyWait()
	Script.Destroy(m_psText);
	Script.Destroy(m_psPanel);
end

function Misc_UpdateWait()
	m_dwTextTimer = m_dwTextTimer + 1;
	if (m_dwTextTimer % 15 < 10) then
		Script.SetScale(m_psText, 1, 1);
	else
		Script.SetScale(m_psText, 0, 0);
	end
end

function Misc_WaitTouch()
	Misc_CreateWait();
	
	while (GameScript.GetTap() == true) do
		Script.WaitSeconds(0.02);
		Misc_UpdateWait();
	end
	while (GameScript.GetTap() == false) do
		Script.WaitSeconds(0.02);
		Misc_UpdateWait();
	end
	Script.PlaySound("Audio/Game.xsb", "OptionSelectedAdvance")
	while (GameScript.GetTap() == true) do
		Script.WaitSeconds(0.02);
		Misc_UpdateWait();
	end

	Misc_DestroyWait();
	
end

function Misc_DelayTouch(fDelay)
	local fTempDelay = 0;
	local bKeyHeld = GameScript.GetTap();
	local bKeyPressed = false;
	while (fTempDelay < fDelay and bKeyPressed == false) do
		if (bKeyHeld == true) then
			if (GameScript.GetTap() == false) then
				bKeyHeld = false;
			end
		else
			if (GameScript.GetTap() == true) then
				bKeyPressed = true;
			end
		end
		Script.WaitSeconds(0.02);
		fTempDelay = fTempDelay + 0.02;
	end
	
end

local m_psTrainingTitle = nil;
local m_psTrainingTitle2 = nil;
local nTrainingPanelHandle = nil;

local fPanelImageWidth = 16
local fPanelScale = 320 / fPanelImageWidth

function Misc_CreateTrainingTitle(pszTitle)
	nTrainingPanelHandle = Script.CreateSprite(GameScript.GetScreenWidth()/2, 148, "Textures/General.jampack", GameScript.GetImage("DARKPANEL02"))
	Script.SetScale(nTrainingPanelHandle, fPanelScale, 1)
	m_psTrainingTitle = Script.CreateText(GameScript.GetScreenWidth()/2, 148, GameScript.GetText(pszTitle), GameScript.GetFont("BigFont"));
end

function Misc_CreateTrainingTitle2(pszTitle, pszTitle2)
	nTrainingPanelHandle = Script.CreateSprite(GameScript.GetScreenWidth()/2, 148, "Textures/General.jampack", GameScript.GetImage("DARKPANEL02"))
	Script.SetScale(nTrainingPanelHandle, fPanelScale, 1)
	m_psTrainingTitle = Script.CreateText(GameScript.GetScreenWidth()/2, 148-30, GameScript.GetText(pszTitle), GameScript.GetFont("BigFont"));
	m_psTrainingTitle2 = Script.CreateText(GameScript.GetScreenWidth()/2, 148+30, GameScript.GetText(pszTitle2), GameScript.GetFont("BigFont"));
end

function Misc_DestroyTrainingTitle()
	if (m_psTrainingTitle ~= nil) then
		Script.Destroy(m_psTrainingTitle);
		m_psTrainingTitle = nil;
	end
	if (m_psTrainingTitle2 ~= nil) then
		Script.Destroy(m_psTrainingTitle2);
		m_psTrainingTitle2 = nil;
	end
	if (nTrainingPanelHandle ~= nil) then
		Script.Destroy(nTrainingPanelHandle);
		nTrainingPanelHandle = nil;
	end
end


local nTextCeremonyHandles = {};
local nTextNumHandles = 0;
local m_dwTrainingTop = 0;

function Training_SetNumCeremony(dwNumCeremony)
	m_dwTrainingTop = 294 - (((dwNumCeremony-1) *  30) / 2);
end

local m_psCeremonyPanel = nil;

function Training_CreateCeremonyPanel()
	m_psCeremonyPanel = Script.CreateSprite(160, 294, "Textures/General.jampack", GameScript.GetImage("BARBIG"));
end

function Training_DestroyCeremonyPanel()
	if (m_psCeremonyPanel ~= nil) then
		Script.Destroy(m_psCeremonyPanel);
		m_psCeremonyPanel = nil;
	end
end

function Training_AddCeremony(pszText)
	local y = nTextNumHandles * 30;
	nTextCeremonyHandles[nTextNumHandles] = Script.CreateText(GameScript.GetScreenWidth()/2, m_dwTrainingTop + y, GameScript.GetText(pszText), GameScript.GetFont("MenuFont"));
	nTextNumHandles = nTextNumHandles + 1;
end

function Training_RemoveCeremony()
	local i = 0;
	while (i ~= nTextNumHandles) do
		Script.Destroy(nTextCeremonyHandles[i]);
		nTextCeremonyHandles[i] = 0;
		i = i + 1;
	end
	
	nTextNumHandles = 0;
end
