-------------------------------------------------------------------------------
-- Training instruction scripts
-------------------------------------------------------------------------------

local Training_BattingapszGoodText = {[0]="INSTRUCTION_BATTING_SUCCESS_1", [1]="INSTRUCTION_BATTING_SUCCESS_2", [2]="INSTRUCTION_BATTING_SUCCESS_3"}

function Training_BattingPart(pszTitle, pszTicker, bCheckTiming, bCheckLength, fLength)

	local dwCurrentZone = 0;

	while (dwCurrentZone ~= 6) do
		GameScript.SetTickerText("INSTRUCTION_BATTING_START");
		
		GameScript.SetBattingTargetZone(dwCurrentZone);
		GameScript.SetBattingSwipeArrow(dwCurrentZone, 0, fLength);
		
		-- wait until user starts the pre batting action
		while (GameScript.GetGameState() ~= GameScript.GetGameStateFromName("GAME_STATE_PRE_BATTING")) do
			Script.WaitSeconds(0.1);
		end
		
		--Misc_CreateWaitHigh()
		
		GameScript.SetGameStateFromName("GAME_STATE_PRE_BATTING_DELAY")
		-- wait until user starts the batting action
--		while (GameScript.GetGameState() == GameScript.GetGameStateFromName("GAME_STATE_PRE_BATTING")) do
--			Script.WaitSeconds(0.1);
--		end
		
		--Misc_DestroyWait()
		--Script.PlaySound("Audio/Game.xsb", "OptionSelectedAdvance")
						
		GameScript.SetTickerText(pszTicker);
		
		while (GameScript.GetGameState() == GameScript.GetGameStateFromName("GAME_STATE_BATTING")) do
			Script.WaitSeconds(0.1);
		end
		
		GameScript.SetTickerText("");
			
		while (GameScript.GetGameState() ~= GameScript.GetGameStateFromName("GAME_STATE_PRE_BATTING")) do
			Script.WaitSeconds(0.1);
		end
		
		GameScript.SetBattingSwipeArrow(-1);
		
		GameScript.SetGameInputEnabled(false);
		GameScript.ShowBallCount(false);
		
		local bPass = true;

		-- did player miss ball
		if (GameScript.GetBallHit() == false) then		
			Misc_CreateTrainingTitle("INSTRUCTION_BATTING_MISSED");
			
		else
		
			local dwZone = GameScript.GetBattingDirection();
			
			local dwTotalChecks = 0;
			local dwFails = 0;
			local bHit = true;
			
			-- work out if any parts of the shot are bad
			local bGoodDirection = true;
			--dwTotalChecks = dwTotalChecks + 1;
			--if (dwZone ~= dwCurrentZone) then
--				bGoodDirection = false;
				--dwFails = dwFails + 1;
			--end
			
			local bGoodTiming = true;
			if (bCheckTiming) then
				dwTotalChecks = dwTotalChecks + 1;
				local fBattingTiming = GameScript.GetBattingTiming();
				if ((fBattingTiming > 0.4) or (fBattingTiming < -0.4)) then
					bGoodTiming = false;
					dwFails = dwFails + 1;
				end
			end
			
			local bGoodLength = true;
			if (bCheckLength) then
				dwTotalChecks = dwTotalChecks + 1;
				local fBattingLength= GameScript.GetBattingLength();
				if ((fBattingLength > fLength + 0.2) or (fBattingLength < fLength - 0.2)) then
					bGoodLength = false;
					dwFails = dwFails + 1;
				end
			end
			
			-- are any of the shot parts bad
			local bAllGood = true;
			if (bGoodDirection == false or bGoodTiming == false or bGoodLength == false) then
				bAllGood = false;
					
				Training_CreateCeremonyPanel()
				Training_SetNumCeremony(dwTotalChecks);
			
				-- was the player too in the wrong direction
				if (bGoodDirection) then
					Training_AddCeremony("INSTRUCTION_BATTING_GOOD_DIRECTION");
				else				
					if (dwZone ~= dwCurrentZone) then
						Training_AddCeremony("INSTRUCTION_BATTING_DIRECTION");
					end
				end
					
				-- was the player too early/late
				if (bCheckTiming) then
					if (bGoodTiming) then
						Training_AddCeremony("INSTRUCTION_BATTING_GOOD_TIMING");	
					else
						local fBattingTiming = GameScript.GetBattingTiming();

						if (fBattingTiming > 0.4) then
							Training_AddCeremony("INSTRUCTION_BATTING_EARLY");
						end
						if (fBattingTiming < -0.4) then
							Training_AddCeremony("INSTRUCTION_BATTING_LATE");	
						end
					end
				end
					
				-- was the player too far/near
				if (bCheckLength) then
					if (bGoodLength) then
						Training_AddCeremony("INSTRUCTION_BATTING_GOOD_LENGTH");	
					else
						local fBattingLength= GameScript.GetBattingLength();
						
						if (fBattingLength > fLength + 0.2) then
							Training_AddCeremony("INSTRUCTION_BATTING_LONG");
						end
						if (fBattingLength < fLength - 0.2) then
							Training_AddCeremony("INSTRUCTION_BATTING_SHORT");	
						end
					end
				end

					
				local fPercent = dwFails / dwTotalChecks;
				if (fPercent >= 0.5) then
					Misc_CreateTrainingTitle("INSTRUCTION_REVIEW_NOT_GOOD");
				else
					Misc_CreateTrainingTitle("INSTRUCTION_REVIEW_ALMOST");
				end
					
			else			
			
				dwCurrentZone = dwCurrentZone + 1;
				
				-- pick a random good comment
				local dwText = GameScript.RetRandInt(2);
				local pszText = Training_BattingapszGoodText[dwText];
				if (dwCurrentZone ~= 6) then
					Misc_CreateTrainingTitle2(pszText, "INSTRUCTION_SUCCESS_AGAIN");
				else
					Misc_CreateTrainingTitle(pszText);
				end
				Script.PlaySound("Audio/Game.xsb", "CrowdCheer01")
				GameScript.BallSuccess();
				
			end
			
		end
		
		Misc_WaitTouch();	
		Misc_DestroyTrainingTitle();
		Training_RemoveCeremony();		
		Training_DestroyCeremonyPanel()
		
		GameScript.ShowBallCount(true);
		GameScript.SetGameInputEnabled(true);
	end
		
end

function Training_Batting01()
	Training_BattingPart("INSTRUCTION_BATTING_TITLE_DIRECTION", "INSTRUCTION_BATTING_TICKER_DIRECTION", false, false, 0.5);
	GameScript.ShowBallCount(false);
	GameScript.SetGameStateFromName("GAME_STATE_TRAINING_COMPLETE");
end
