-------------------------------------------------------------------------------
-- Training instruction scripts
-------------------------------------------------------------------------------

local adwZoneX = {[0]=2, [1]=2, [2]=1, [3]=0, [4]=0, [5]=0, [6]=1, [7]=2, [8]=1}
local adwZoneY = {[0]=1, [1]=0, [2]=0, [3]=0, [4]=1, [5]=2, [6]=2, [7]=2, [8]=1}

-- this defines the order the zones should be played in
local adwZone = {[0]=0, [1]=1, [2]=2, [3]=3, [4]=4, [5]=5, [6]=6, [7]=7, [8]=8}

local Training_BowlingapszGoodText = {[0]="INSTRUCTION_BOWLING_SUCCESS_1", [1]="INSTRUCTION_BOWLING_SUCCESS_2", [2]="INSTRUCTION_BOWLING_SUCCESS_3"}

function Training_BowlingPart(pszTitle, pszTicker, bCheckSpeed, fSpeed, bCheckCurve, fCurve)

	local dwCurrentZoneCounter = 0;
	local nRand = GameScript.RetRandInt(1);

	while (dwCurrentZoneCounter ~= 4) do	
		GameScript.SetTickerText("INSTRUCTION_BOWLING_START");
		
		dwCurrentZone = adwZone[dwCurrentZoneCounter];
		GameScript.SetBowlTargetZone(dwCurrentZone, true);
		
		local fNewCurve = fCurve;
		if (nRand == 0) then
			fNewCurve = -fCurve;
		end
		GameScript.SetBowlSwipeArrow(dwCurrentZone, fSpeed, fNewCurve);
		
		-- let the game know what we expect
		GameScript.SetBowlRequiredSpeed(bCheckSpeed, fSpeed);
		GameScript.SetBowlRequiredCurve(bCheckCurve, fNewCurve);				
		
		-- wait until user starts the pre batting action
		while (GameScript.GetGameState() ~= GameScript.GetGameStateFromName("GAME_STATE_BOWLING")) do
			Script.WaitSeconds(0.01);
		end
		
--		Misc_CreateWaitHigh()		
				
		-- wait until user starts the bowling action
--		while (GameScript.GetGameState() == GameScript.GetGameStateFromName("GAME_STATE_PREBOWL_WAIT")) do
--			Script.WaitSeconds(0.01);
--		end
		
--		Misc_DestroyWait()
--		Script.PlaySound("Audio/Game.xsb", "OptionSelectedAdvance")

		GameScript.SetBowlTargetZone(dwCurrentZone, false);
		
		GameScript.SetTickerText(pszTicker);
		
		while (GameScript.GetGameState() == GameScript.GetGameStateFromName("GAME_STATE_BOWLING")) do
			Script.WaitSeconds(0.01);
		end
		
		GameScript.SetGameInputEnabled(false);
		GameScript.SetTickerText("");
		GameScript.SetBowlSwipeArrow(-1, 0, 0);
		GameScript.ShowBallCount(false);
			
		local bPass = true;
		local dwZone = GameScript.GetBowlZone();
		local bHit = GameScript.GetBowlHit();
		local dwTotalChecks = 0;
		local dwFails = 0;

		-- did player bowl a valid shot
		if (true) then
		
			-- first work out which parts of the bowl are good/bad
			local bGoodDirection = true;
			dwTotalChecks = dwTotalChecks + 1;
			if (dwZone == 1 or dwZone == 2) then
				bGoodDirection = false;
				dwFails = dwFails + 1;
			end
			
			local bGoodLength = true;
			dwTotalChecks = dwTotalChecks + 1;
			if (dwZone == 3 or dwZone == 4) then
				bGoodLength = false;
				dwFails = dwFails + 1;
			end
			
			local bGoodSpeed = true;
			if (bCheckSpeed) then
				dwTotalChecks = dwTotalChecks + 1;
				local fBowlSpeed = GameScript.GetBowlSpeed();				
--				if ((fBowlSpeed > fSpeed + 0.2) or (fBowlSpeed < fSpeed - 0.2)) then
				if (fBowlSpeed < fSpeed - 0.2) then
					bGoodSpeed = false;
					dwFails = dwFails + 1;
				end
			end
			
			local bGoodCurve = true;
			if (bCheckCurve) then
				dwTotalChecks = dwTotalChecks + 1;
				local fBowlCurve = GameScript.GetBowlCurve();
				if ((fBowlCurve < 0 and fNewCurve > 0) or (fBowlCurve > 0 and fNewCurve < 0)) then
					bGoodCurve = false;
					dwFails = dwFails + 1;
				else
					if (fNewCurve < 0) then							
						if (fBowlCurve > fNewCurve + 30) then
							bGoodCurve = false;
							dwFails = dwFails + 1;
						end
					else
						if (fBowlCurve < fNewCurve - 30) then
							bGoodCurve = false;
							dwFails = dwFails + 1;
						end
					end
				end
			end
			
			-- are any parts of the bowl bad
			local bAllGood = true;
			if (bGoodDirection == false or bGoodLength == false or bGoodSpeed == false or bGoodCurve == false) then
				bAllGood = false;
				
				Training_CreateCeremonyPanel()
				Training_SetNumCeremony(dwTotalChecks);
			
				if (bGoodDirection) then
					Training_AddCeremony("INSTRUCTION_BOWLING_GOOD_DIRECTION");
				else				
					-- was the player too far left/right
					if (dwZone == 2) then
						Training_AddCeremony("INSTRUCTION_BOWLING_RIGHT");
					end
					if (dwZone == 1) then
						Training_AddCeremony("INSTRUCTION_BOWLING_LEFT");
					end
				end
					
				if (bGoodLength) then
					Training_AddCeremony("INSTRUCTION_BOWLING_GOOD_LENGTH");
				else				
					-- was the player too short/long
					if (dwZone == 4) then
						Training_AddCeremony("INSTRUCTION_BOWLING_LONG");
					end
					if (dwZone == 3) then
						Training_AddCeremony("INSTRUCTION_BOWLING_SHORT");	
					end
				end
					
				-- was the player too fast/slow
				if (bCheckSpeed) then
					if (bGoodSpeed) then
						Training_AddCeremony("INSTRUCTION_BOWLING_GOOD_SPEED");
					else				
						local fBowlSpeed = GameScript.GetBowlSpeed();
						
--						if (fBowlSpeed > fSpeed + 0.2) then
--							Training_AddCeremony("INSTRUCTION_BOWLING_FAST");
--						end
						if (fBowlSpeed < fSpeed - 0.2) then
							Training_AddCeremony("INSTRUCTION_BOWLING_SLOW");	
						end
					end
				end
					
				-- was the player too spinny... or something
				if (bCheckCurve) then
					if (bGoodCurve) then
						Training_AddCeremony("INSTRUCTION_BOWLING_GOOD_SPIN");
					else				
						local fBowlCurve = GameScript.GetBowlCurve();

						if ((fBowlCurve < 0 and fNewCurve > 0) or (fBowlCurve > 0 and fNewCurve < 0)) then
							Training_AddCeremony("INSTRUCTION_BOWLING_WRONG_SPIN");
						else
							if (fNewCurve < 0) then							
								if (fBowlCurve > fNewCurve + 30) then
									Training_AddCeremony("INSTRUCTION_BOWLING_MORE_SPIN");	
								end
							else
								if (fBowlCurve < fNewCurve - 30) then
									Training_AddCeremony("INSTRUCTION_BOWLING_MORE_SPIN");	
								end
							end
						end
					end
				end
				
				local fPercent = dwFails / dwTotalChecks;
				if (fPercent >= 0.5) then
					Misc_CreateTrainingTitle("INSTRUCTION_REVIEW_NOT_GOOD");
				else
					Misc_CreateTrainingTitle("INSTRUCTION_REVIEW_ALMOST");
				end
				
			else
					
				dwCurrentZoneCounter = dwCurrentZoneCounter + 1;
				
				-- pick a random good comment
				local dwText = GameScript.RetRandInt(2);
				local pszText = Training_BowlingapszGoodText[dwText];
				if (dwCurrentZoneCounter ~= 4) then
					Misc_CreateTrainingTitle2(pszText, "INSTRUCTION_SUCCESS_AGAIN");
				else
					Misc_CreateTrainingTitle(pszText);
				end
					
				Script.PlaySound("Audio/Game.xsb", "CrowdCheer01")
				GameScript.BallSuccess();

			end
		
		else
			if (GameScript.GetBowlBall() == true) then
				Misc_CreateTrainingTitle("INSTRUCTION_BOWLING_MISSED");
			else
				if (GameScript.GetBowlAttempted() == true) then
					Misc_CreateTrainingTitle("INSTRUCTION_BOWLING_FASTER");
				end				
			end
				
		end
		
		Misc_WaitTouch();	
		Misc_DestroyTrainingTitle();
		Training_RemoveCeremony();
		Training_DestroyCeremonyPanel()
		GameScript.ShowBallCount(true);
					
		GameScript.SetGameInputEnabled(true);
	end
		
end

function Training_Bowling01()
	Training_BowlingPart("INSTRUCTION_BOWLING_TITLE_LENGTH", "INSTRUCTION_BOWLING_TICKER_LENGTH", false, 1.0, false, 0);
	GameScript.ShowBallCount(false);
	GameScript.SetGameStateFromName("GAME_STATE_TRAINING_COMPLETE");
end
