-------------------------------------------------------------------------------
-- Training instruction scripts
-------------------------------------------------------------------------------

local Training_FieldingapszGoodText = {[0]="INSTRUCTION_FIELDING_SUCCESS_1", [1]="INSTRUCTION_FIELDING_SUCCESS_2", [2]="INSTRUCTION_FIELDING_SUCCESS_3"}
local Training_FieldingapszPositionText = {[0]="POSITION_THIRD_BASE", [1]="POSITION_FIRST_BASE",[2]="POSITION_SHORT_STOP",[3]="POSITION_SECOND_BASE",[4]="POSITION_LEFT_FIELD",[5]="POSITION_RIGHT_FIELD",[6]="POSITION_CENTER_FIELD",[7]="POSITION_PITCHER",[8]="POSITION_CATCHER"}

function Training_FieldingPart(pszTitle, pszTicker, bDive, dwFielder)

	local dwCurrentZone = 0;

	while (dwCurrentZone ~= 4) do
		GameScript.SetTickerText("INSTRUCTION_FIELDING_START");
		
		GameScript.SetFieldingNextBall(dwCurrentZone, bDive, dwCurrentZone);
		
		-- wait until user starts the pre batting action
		while (GameScript.GetGameState() ~= GameScript.GetGameStateFromName("GAME_STATE_PRE_FIELDING")) do
			Script.WaitSeconds(0.01);
		end
		
--		Misc_CreateWaitHigh()
		
--		local m_psPositionPanel = Script.CreateSprite(160, 428, "Textures/General.jampack", GameScript.GetImage("BAR"));
--		local m_psPositionText = Script.CreateText(160, 428, GameScript.GetText(Training_FieldingapszPositionText[dwCurrentZone]), GameScript.GetFont("MenuFont"));
		
		if (bDive) then
			GameScript.SetFieldingSwipeArrow(dwCurrentZone);
		end
			
		GameScript.SetGameStateFromName("GAME_STATE_PRE_FIELDING_DELAY")
		-- wait until user starts the bowling action
--		while (GameScript.GetGameState() == GameScript.GetGameStateFromName("GAME_STATE_PRE_FIELDING")) do
--			Script.WaitSeconds(0.01);
--		end
		
--		Misc_DestroyWait()
		
--		Script.Destroy(m_psPositionText);
--		Script.Destroy(m_psPositionPanel);
		
--		Script.PlaySound("Audio/Game.xsb", "OptionSelectedAdvance")
		
		GameScript.SetTickerText(pszTicker);
		
		while (GameScript.GetGameState() ~= GameScript.GetGameStateFromName("GAME_STATE_FIELDING")) do
			Script.WaitSeconds(0.01);
		end
		
		while (GameScript.GetGameState() == GameScript.GetGameStateFromName("GAME_STATE_FIELDING")) do
			Script.WaitSeconds(0.01);
		end
		
		GameScript.SetGameInputEnabled(false);
		GameScript.SetTickerText("");
		GameScript.SetFieldingSwipeArrow(-1);
		GameScript.ShowBallCount(false);
			
		local bPass = true;
		
		-- was the ball caught
		if (GameScript.GetGameState() ~= GameScript.GetGameStateFromName("GAME_STATE_CAUGHT")) then
			bPass = false;
		end
								
		if (bPass == false) then		
			Training_CreateCeremonyPanel()
			Training_SetNumCeremony(1);
			
			Training_AddCeremony("INSTRUCTION_FIELDING_MISS");
			
			Misc_CreateTrainingTitle("INSTRUCTION_REVIEW_NOT_GOOD");
		end
		
		-- did player catch the ball
		if (bPass) then
		
			dwCurrentZone = dwCurrentZone + 1;
				
			-- pick a random good comment
			local dwText = GameScript.RetRandInt(2);
			local pszText = Training_FieldingapszGoodText[dwText];
			if (dwCurrentZone ~= 4) then
				Misc_CreateTrainingTitle2(pszText, "INSTRUCTION_SUCCESS_AGAIN");
			else
				Misc_CreateTrainingTitle(pszText);
			end
			Script.PlaySound("Audio/Game.xsb", "CrowdCheer01")
			GameScript.BallSuccess();
			
		end
		
		Misc_WaitTouch();	
		Misc_DestroyTrainingTitle();
		Training_RemoveCeremony();
		Training_DestroyCeremonyPanel()
		
		GameScript.SetGameInputEnabled(true);
		GameScript.ShowBallCount(true);
		
		while (GameScript.GetGameState() ~= GameScript.GetGameStateFromName("GAME_STATE_PRE_FIELDING")) do
			Script.WaitSeconds(0.01);
		end
	end
		
end

function Training_Fielding01()
	Training_FieldingPart("INSTRUCTION_FIELDING_TITLE_CATCH_LONG", "INSTRUCTION_FIELDING_TICKER_CATCH_LONG", false, 0);
	GameScript.ShowBallCount(false);
	GameScript.SetGameStateFromName("GAME_STATE_TRAINING_COMPLETE");
end
